--[[
    Project: AtlasMajorCities English NPC Plugin
    Author: modefanz.eu ~ Modefanz Coding Team
    Discripton: English NPC Plugin for AtlasMajorCities.
    Release Date: May.2009
    Release Version: 1.5
    Internal: AMC.enUS.15
]]--

local AceLocale = LibStub:GetLibrary("AceLocale-3.0");

local BabbleZone = AMC_GetLocaleLibBabble("LibBabble-Zone-3.0");
local BabbleFaction = AMC_GetLocaleLibBabble("LibBabble-Faction-3.0");
local BabbleRace = AMC_GetLocaleLibBabble("LibBabble-Race-3.0");
local BabbleNPCDesc = AMC_GetLocaleLibBabble("LibBabble-NPC-Descriptio-3.0");


local AMCL = AceLocale:NewLocale("AtlasMajorCities", "enUS", true);

if AMCL then
	--Common	
	AMCL["Major Cities"] = "Major Cities";
  
  	---Common Names, Items & Buildings
  	-- Public Shops, Facilities, Equipments, Tools
	AMCL["Inn"] = "Inn";
	AMCL["Mailbox"] = "Mailbox";
	AMCL["Forge"] = "Forge";
	AMCL["Stove"] = "Cooking Stove";
	AMCL["AH"] = "Auction House";
	AMCL["Bank"] = "Bank";
	AMCL["Bshop"] = "Barbershop";
	-- PvP commanders
	AMCL["Alliance Brigadier"] = "Alliance Brigadier General";
	AMCL["Ancients Emissary"] = "Strand of the Ancients Emissary";
	-- Training Dummies
	AMCL["E Dummy"] = "Expert's Training Dummy";
	AMCL["M Dummy"] = "Master's Training Dummy";
	AMCL["G Dummy"] = "Grandmaster's Training Dummy";
	AMCL["H Dummy"] = "Heroic Training Dummy";
	AMCL["Practice Dummy"] = "Practice Dummy";
	-- Weapons
	AMCL["Bows"] = 			"          Bows";
	AMCL["Fist Weapons"] = 	"          Fist Weapons";
	AMCL["Staves"] = 		"          Staves";
	AMCL["Thrown"] = 		"          Thrown";
	AMCL["Daggers"] = 		"          Daggers";
	AMCL["Crossbow"] = 		"          Crossbow";
	AMCL["Guns"] = 			"          Guns";
	AMCL["Polearms"] = 		"          Polearms";
	AMCL["One-Handed Maces"] = 	"          One-Handed Maces";
	AMCL["Two-Handed Maces"] = 	"          Two-Handed Maces";
	AMCL["Two-Handed Sword"] = 	"          Two-Handed Sword";
	AMCL["One-Handed Sword"] = 	"          One-Handed Sword";
	AMCL["One-Handed Axes"] = 	"          One-Handed Axes";
	AMCL["Two-Handed Axes"] = 	"          Two-Handed Axes";
	-- Portals
	AMCL["PorStor"] = "Portal to Stormwind";
	AMCL["PorIron"] = "Portal to Ironforge";
	AMCL["PorDarn"] = "Portal to Darnassus";
	AMCL["PorExod"] = "Portal to Exodar";
	AMCL["PorShat"] = "Portal to Shattrath";
	AMCL["PorOrgr"] = "Portal to Orgrimmar";
	AMCL["PorUnde"] = "Portal to Undercity";
	AMCL["PorSilv"] = "Portal to Silvermoon";
	AMCL["PorThBl"] = "Portal to Thunder Bluff";
	AMCL["PorBlasted"] = "Portal to Blasted Lands";
  
  --NPC Dalaran
  --White
  -- Krasus' Landing
	AMCL["Aludane Whitecloud"] = "Aludane Whitecloud".." <"..BabbleNPCDesc["Flightmaster"]..">";
	AMCL["Hira Snowdawn"] = "Hira Snowdawn".." <"..BabbleNPCDesc["Cold Weather Flying Trainer"]..">";
	AMCL["Officer Van Rossem"] = "Officer Van Rossem";
	AMCL["Sky-Reaver Klum"] = "Sky-Reaver Klum";
  
  --Orng
	AMCL["Runeweaver Square"] = "Runeweaver Square";

	AMCL["Entrance to the Sewers"] = "Entrance to the Sewers";

	AMCL["Magical Menagerie"] = "Magical Menagerie";
	AMCL["Mei Francis"] = "Mei Francis".." <"..BabbleNPCDesc["Exotic Mounts"]..">";
	AMCL["Breanni"] = "Breanni".." <"..BabbleNPCDesc["Pet Supplies"]..">";
	AMCL["Tassia Whisperglen"] = "Tassia Whisperglen".." <"..BabbleNPCDesc["Stable Master"]..">";

	AMCL["Teleport to Violet Stand"] = "Teleport to Violet Stand Crystal";
	AMCL["Archmage Celindra"] = "Archmage Celindra".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	AMCL["Warcaster Fanoraithe"] = "Warcaster Fanoraithe".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Jessa Weaver"] = "Jessa Weaver".." <"..BabbleNPCDesc["Mage Trainer"]..">";

	AMCL["The Hunter's Reach"] = "The Hunter's Reach";
	AMCL["Dagna Flintlock"] = "Dagna Flintlock".." <"..BabbleNPCDesc["Gunsmith"]..">";
	AMCL["Jarold Puller"] = "Jarold Puller".." <"..BabbleNPCDesc["Specialty Ammunition"]..">";
	AMCL["Aemara"] = "Aemara".." <"..BabbleNPCDesc["Bowyer"]..">";

	AMCL["Aerith Primrose"] = "Aerith Primrose".." <"..BabbleNPCDesc["Flower Vendor"]..">";

	AMCL["The Arsenal Absolute"] = "The Arsenal Absolute";
	AMCL["Bartram Haller"] = "Bartram Haller".." <"..BabbleNPCDesc["Dagger & Fist Weapon Merchant"]..">";
	AMCL["Kerta the Bold"] = "Kerta the Bold".." <"..BabbleNPCDesc["Axe & Polearm Merchant"]..">";
	AMCL["Valaden Silverblade"] = "Valaden Silverblade".." <"..BabbleNPCDesc["Sword Merchant"]..">";
	AMCL["Walther Whiteford"] = "Walther Whiteford".." <"..BabbleNPCDesc["Mace Merchant"]..">";

	AMCL["Dalaran Visitor Center"] = "Dalaran Visitor Center";
	AMCL["Andrew Matthews"] = "Andrew Matthews".." <"..BabbleNPCDesc["Guild Master"]..">";
	AMCL["Elizabeth Ross"] = "Elizabeth Ross".." <"..BabbleNPCDesc["Tabard Vendor"]..">";
	AMCL["Archivist Betha"] = "Archivist Betha".." <"..BabbleNPCDesc["City Historian"]..">";

	AMCL["Curiosities & Moore"] = "Curiosities & Moore";
	AMCL["Debbi Moore"] = "Debbi Moore".." <"..BabbleNPCDesc["Trinkets & Charms"]..">";
	AMCL["Brammold Deepmine"] = "Brammold Deepmine".." <"..BabbleNPCDesc["Antiques & Heirlooms"]..">";
	AMCL["Orton Bennet"] = "Orton Bennet".." <"..BabbleNPCDesc["Offhand Offerings"]..">";
	AMCL["Ninsianna"] = "Ninsianna".." <"..BabbleNPCDesc["Relics"]..">";

	AMCL["Applebough"] = "Applebough".." <"..BabbleNPCDesc["Fuit Vendor"]..">";
	AMCL["Windle Sparkshine"] = "Windle Sparkshine, Wand Windle's Lighter";

	AMCL["Sisters Sorcerous"] = "Sisters Sorcerous";
	AMCL["Hagatha Moorehead"] = "Hagatha Moorehead".." <"..BabbleNPCDesc["Reagent Merchant"]..">";
	AMCL["Endora Moorehead"] = "Endora Moorehead".." <"..BabbleNPCDesc["Magical Goods"]..">";

	AMCL["The Threads of Fate"] = "The Threads of Fate";
	AMCL["Paldesse"] = "Paldesse".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	AMCL["Karandonna"] = "Karandonna".." <"..BabbleNPCDesc["Clothier"]..">";
	AMCL["Sheddle Glossgleam"] = "Sheddle Glossgleam".." <"..BabbleNPCDesc["Cobbler"]..">";
	AMCL["Chameli Banaphash"] = "Chameli Banaphash".." <"..BabbleNPCDesc["Haberdasher"]..">";
	AMCL["Norvin Alderman"] = "Norvin Alderman".." <"..BabbleNPCDesc["Cloaks"]..">";

	AMCL["The Wonderworks"] = "The Wonderworks";
	AMCL["Jepetto Joybuzz"] = "Jepetto Joybuzz".." <"..BabbleNPCDesc["Toymaker"]..">";
	AMCL["Clockwork Assistant"] = "Clockwork Assistant".." <"..BabbleNPCDesc["Jepetto's Companion"]..">";

	AMCL["The Legerdemain Lounge"] = "The Legerdemain Lounge";
	AMCL["Amisi Azuregaze"] = "Amisi Azuregaze".." <"..BabbleNPCDesc["Innkeeper"]..">";
	AMCL["Arille Azuregaze"] = "Arille Azuregaze".." <"..BabbleNPCDesc["Bartender"]..">";
	AMCL["Sandra Bartan"] = "Sandra Bartan".." <"..BabbleNPCDesc["Barmaid"]..">";
	AMCL["Afsaneh Asrar"] = "Afsaneh Asrar".." <"..BabbleNPCDesc["Assistant Innkeeper"]..">";

	AMCL["Kizi Copperclip"] = "Kizi Copperclip".." <"..BabbleNPCDesc["Barber"]..">";

	AMCL["One More Glass"] = "One More Glass";
	AMCL["Fialla Sweetberry"] = "Fialla Sweetberry".." <"..BabbleNPCDesc["Food & Drink Vendor"]..">";
	AMCL["Christi Stockton"] = "Christi Stockton".." <"..BabbleNPCDesc["Wine Vendor"]..">";
	AMCL["Lucian Trias"] = "Lucian Trias".." <"..BabbleNPCDesc["Bread & Cheese Vendor"]..">";

	AMCL["Aimee"] = "Aimee".." <"..BabbleNPCDesc["Pie, Pastry & Cakes Vendor"]..">";

  --Purp
	AMCL["The Eventide"] = "The Eventide";

	AMCL["Marcia Chase"] = "Marcia Chase".." <"..BabbleNPCDesc["Grand Master Fishing Trainer & Supplies"]..">";
	AMCL["Marcia Chase &"] = "";

	AMCL["Glorious Goods"] = "Glorious Goods";
	AMCL["Jack Findle"] = "'Red' Jack Findle".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	AMCL["Susana Averoy"] = "Susana Averoy".." <"..BabbleNPCDesc["General Goods"]..">";

	AMCL["Langrom's Leather & Links"] = "Langrom's Leather & Links";
	AMCL["Bragund Brightlink"] = "Bragund Brightlink".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	AMCL["Valerie Langrom"] = "Valerie Langrom".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";

	AMCL["The Militant Mystic"] = "The Militant Mystic";
	AMCL["Abra Cadabra"] = "Abra Cadabra".." <"..BabbleNPCDesc["Wands"]..">";
	AMCL["Shen Kang Cheng"] = "Shen Kang Cheng".." <"..BabbleNPCDesc["Staves"]..">";

  --Yell
	AMCL["The Violet Hold"] = "The Violet Hold";

	AMCL["Archmage Timear"] = "Archmage Timear";
	AMCL["Archmage Lan'dalock"] = "Archmage Lan'dalock";
	AMCL["Torgo the Younger"] = "Torgo the Younger";
	AMCL["The Violet Hold Instance"] = "The Violet Hold Instance";

  --Blue
	AMCL["The Silver Enclave a"] = "The Silver Enclave (Alliance)";

	AMCL["A Hero's Welcome"] = "A Hero's Welcome";
	AMCL["Isirami Fairwind"] = "Isirami Fairwind".." <"..BabbleNPCDesc["Innkeeper"]..">";
	AMCL["Stefen Cotter"] = "Stefen Cotter".." <"..BabbleNPCDesc["Bartender"]..">";
	AMCL["Katherine Lee"] = "Katherine Lee".." <"..BabbleNPCDesc["Grand Master Cooking Trainer"]..">";
	AMCL["Derek Odds"] = "Derek Odds".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	AMCL["Inzi Charmlight"] = "Inzi Charmlight".." <"..BabbleNPCDesc["Barmaid"]..">";
	AMCL["Marcella Bloom"] = "Marcella Bloom".." <"..BabbleNPCDesc["Barmaid"]..">";
	AMCL["Caliel Brightwillow"] = "Caliel Brightwillow".." <"..BabbleNPCDesc["Assistant Innkeeper"]..">";

	AMCL["The Beer Garden"] = "The Beer Garden";
	AMCL["Laire Brewgold"] = "Laire Brewgold".." <"..BabbleNPCDesc["Brewmaiden"]..">";
	AMCL["Coira Longrifle"] = "Coira Longrifle".." <"..BabbleNPCDesc["Brewmaiden"]..">";

	AMCL["The Silver Enclave"] = "The Silver Enclave";

	AMCL["Arcanist Braedin"] = "Arcanist Braedin".." <"..BabbleNPCDesc["Wintergrasp Battle-Mage"]..">";
	AMCL["Portal to Battlefields"] = "Portals to the Battlefields";

	AMCL["Upstair"] = "Upstairs";
	AMCL["Arcanist Ivrenne"] = "Arcanist Ivrenne".." <"..BabbleNPCDesc["Emblem of Heroism Quartermaster"]..">";
	AMCL["Arcanist Ivrenne &"] = "";
	AMCL["Arcanist Adurin"] = "Arcanist Adurin".." <"..BabbleNPCDesc["Emblem of Valor Quartermaster"]..">";
	AMCL["Arcanist Firael"] = "Arcanist Firael".." <"..BabbleNPCDesc["Emblem of Conquest Quartermaster"]..">";
	AMCL["Arcanist Firael &"] = "";

  --Gren
	AMCL["The Violet Citadel"] = "The Violet Citadel";

	AMCL["Rhonin"] = "Rhonin".." <"..BabbleNPCDesc["Leader of the Kirin Tor"]..">";
	AMCL["Vereesa Windrunner"] = "Vereesa Windrunner".." <"..BabbleNPCDesc["Ranger General of the Silver Covenant"]..">";
	AMCL["Vereesa Windrunner &"] = ""; 

	AMCL["Archmage Alvareaux"] = "Archmage Alvareaux".." <"..BabbleNPCDesc["Kirin Tor Quartermaster"]..">";

	AMCL["Zidormi"] = "Zidormi".." <"..BabbleNPCDesc["Keepers of Time"]..">";
	AMCL["Portal Cavern Time"] = "Portal to the Caverns of Time";

	AMCL["Portal Purple Parlor"] = "Portal to the Purple Parlor";

	AMCL["The Purple Parlor"] = "The Purple Parlor";
	AMCL["Archmage John Nicholas"] = "Archmage John Nicholas".." <"..BabbleNPCDesc["The Punisher"]..">";
	AMCL["Alfred Copperworth"] = "Alfred Copperworth".." <"..BabbleNPCDesc["Butler"]..">";

  --Grey
	AMCL["The Magus Commerce"] = "The Magus Commerce Exchange";

	AMCL["Simply Enchanting"] = "Simply Enchanting";
	AMCL["Enchanter Nalthanis"] = "Enchanter Nalthanis".." <"..BabbleNPCDesc["Grand Master Enchanting Trainer"]..">";
	AMCL["Enchanter Nalthanis &"] = "";
	AMCL["Ildine Sorrowspear"] = "Ildine Sorrowspear".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	AMCL["Vanessa Sellers"] = "Vanessa Sellers".." <"..BabbleNPCDesc["Shard Trader"]..">";

	AMCL["First to Your Aid"] = "First to Your Aid";
	AMCL["Olisarra the Kind"] = "Olisarra the Kind".." <"..BabbleNPCDesc["Grand Master First Aid Trainer"]..">";
	AMCL["Angelique Butler"] = "Angelique Butler".." <"..BabbleNPCDesc["First Aid Supplies"]..">";

	AMCL["Talismanic Textiles"] = "Talismanic Textiles";
	AMCL["Charles Worth"] =  "Charles Worth".." <"..BabbleNPCDesc["Grand Master Tailoring Trainer"]..">";
	AMCL["Dominique Stefano"] = "Dominique Stefano".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	AMCL["Ainderu Summerleaf"] = "Ainderu Summerleaf".." <"..BabbleNPCDesc["Mooncloth Tailoring Specialist"]..">";
	AMCL["Ainderu Summerleaf &"] = "";
	AMCL["Lalla Brightweave"] = "Lalla Brightweave".." <"..BabbleNPCDesc["Spellfire Tailoring Specialist"]..">";
	AMCL["Linna Bruder"] = "Linna Bruder".." <"..BabbleNPCDesc["Shadoweave Tailoring Specialist"]..">";

	AMCL["Legendary Leathers"] = "Legendary Leathers";
	AMCL["Braeg Stoutbeard"] = "Braeg Stoutbeard".." <"..BabbleNPCDesc["Fur & Leather Trader"]..">";
	AMCL["Diane Cannings"] = "Diane Cannings".." <"..BabbleNPCDesc["Grand Master Leatherworking Trainer"]..">";
	AMCL["Diane Cannings &"] = "";
	AMCL["Derik Marks"] = "Derik Marks".." <"..BabbleNPCDesc["Grand Master Skinning Trainer"]..">";
	AMCL["Ranid Glowergold"] = "Ranid Glowergold".." <"..BabbleNPCDesc["Leatherworking & Skinning Supplies"]..">";
	AMCL["Ranid Glowergold &"] = "";
	AMCL["Manfred Staller"] = "Manfred Staller".." <"..BabbleNPCDesc["Elemental Leatherworking Trainer"]..">";
	AMCL["Manfred Staller &"] = "";
	AMCL["Andellion"] = "Andellion".." <"..BabbleNPCDesc["Dragonscale Leatherworking Trainer"]..">";
	AMCL["Namha Moonwater"] = "Namha Moonwater".." <"..BabbleNPCDesc["Tribal Leatherworking Trainer"]..">";
	AMCL["Namha Moonwater &"] = "";

	AMCL["Like Clockwork"] = "Like Clockwork";
	AMCL["Justin Oshenko"] = "Justin Oshenko".." <"..BabbleNPCDesc["Grand Master Engineering Trainer"]..">";
	AMCL["Justin Oshenko &"] = "";
	AMCL["Bryan Landers"] = "Bryan Landers".." <"..BabbleNPCDesc["Engineering Supplies"]..">";
	AMCL["Didi the Wrench"] = "Didi the Wrench".." <"..BabbleNPCDesc["Goblin Engineering Trainer"]..">";
	AMCL["Findle Whistlesteam"] = "Findle Whistlesteam".." <"..BabbleNPCDesc["Gnome Engineering Trainer"]..">";

	AMCL["All That Glitters Prospecting Co"] = "All That Glitters Prospecting Co.";
	AMCL["Jedidiah Handers"] = "Jedidiah Handers".." <"..BabbleNPCDesc["Grand Master Mining Trainer"]..">";
	AMCL["Dorian Fines"] = "Dorian Fines".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	AMCL["The Forge of Fate"] = "The Forge of Fate";

	AMCL["Tanks For Everything"] = "Tanks For Everything";
	AMCL["Alard Schmied"] = "Alard Schmied".." <"..BabbleNPCDesc["Grand Master Blacksmithing Trainer"]..">";
	AMCL["Alard Schmied &"] = "";
	AMCL["Palja Amboss"] = "Palja Amboss".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	AMCL["Imindril Spearsong"] = "Imindril Spearsong".." <"..BabbleNPCDesc["Weaponsmithing Trainer"]..">";
	AMCL["Orland Schaeffer"] = "Orland Schaeffer".." <"..BabbleNPCDesc["Armorsmithing Trainer"]..">";
	AMCL["Dubin Clay"] = "Dubin Clay".." <"..BabbleNPCDesc["Plate Armor Merchant"]..">";
	AMCL["Griselda Hunderland"] = "Griselda Hunderland".." <"..BabbleNPCDesc["Plate Armor Merchant"]..">";
	AMCL["Anthony Durain"] = "Anthony Durain".." <"..BabbleNPCDesc["Shield Merchant"]..">";

	AMCL["Dorothy Egan"] = "Dorothy Egan".." <"..BabbleNPCDesc["Grand Master Herbalism Trainer"]..">";
	AMCL["Edward Egan"] = "Edward Egan".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	AMCL["The Scribes Sacellum"] = "The Scribes Sacellum";
	AMCL["Professor Pallin"] = "Professor Pallin".." <"..BabbleNPCDesc["Grand Master Inscription Trainer"]..">";
	AMCL["Professor Pallin &"] = "";
	AMCL["Larana Drome"] = "Larana Drome".." <"..BabbleNPCDesc["Inscription Supplies"]..">";
	AMCL["Jessica Sellers"] = "Jessica Sellers".." <"..BabbleNPCDesc["Ink Trader"]..">";
	AMCL["Theresa Wolf"] = "Theresa Wolf".." <"..BabbleNPCDesc["Loremaster"]..">";

  --_Red
	AMCL["Sunreaver's Sanctuary"] = "The Sunreaver's Sanctuary (Horde)";

	AMCL["Horde Warbringer"] = "Horde Warbringer";
	AMCL["High Arcanist Savor"] = "High Arcanist Savor";

	AMCL["Magister Surdiel"] = "Magister Surdiel".." <"..BabbleNPCDesc["Wintergrasp Battle-Mage"]..">";
	AMCL["Eye of the Storm Portal"] = "Eye of the Storm Portal";
	AMCL["Arathi Basin Portal"] = "Arathi Basin Portal";

	AMCL["Strand of the Ancients Portal"] = "Strand of the Ancients Portal";
	AMCL["Alterac Valley Portal"] = "Alterac Valley Portal";
	AMCL["Warsong Gulch Portal"] = "Warsong Gulch Portal";

	AMCL["Magister Sarien"] = "Magister Sarien".." <"..BabbleNPCDesc["Emblem of Conquest Quartermaster"]..">";
	AMCL["Magister Sarien &"] = "";
	AMCL["Magister Brasael"] = "Magister Brasael".." <"..BabbleNPCDesc["Emblem of Valor Quartermaster"]..">";
	AMCL["Magistrix Lambriesse"] = "Magistrix Lambriesse".." <"..BabbleNPCDesc["Emblem of Heroism"]..">";
	AMCL["Magistrix Lambriesse &"] = "";

	AMCL["The Filthy Animal"] = "The Filthy Animal";
	AMCL["Uda the Beast"] = "Uda the Beast".." <"..BabbleNPCDesc["Innkeeper"]..">";
	AMCL["Kyunghee"] = "Kyunghee".." <"..BabbleNPCDesc["Throwing Axes"]..">";
	AMCL["Mato"] = "Mato".." <"..BabbleNPCDesc["Food & Drink"]..">";
	AMCL["Hamaka"] = "Hamaka".." <"..BabbleNPCDesc["Bartender"]..">";
	AMCL["Umbiwa"] = "Umbiwa".." <"..BabbleNPCDesc["Barmaid"]..">";
	AMCL["Mimbihi"] = "Mimbihi".." <"..BabbleNPCDesc["Barmaid"]..">";
	AMCL["Awilo Lon'gomba"] = "Awilo Lon'gomba".." <"..BabbleNPCDesc["Grand Master Cooking Trainer"]..">";
	AMCL["Awilo Lon'gomba &"] = "";
	AMCL["Misensi"] = "Misensi".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	AMCL["Abohba"] = "Abohba".." <"..BabbleNPCDesc["Assistant Innkeeper"]..">";


  --NPC Dalaran Sewers
  --White
	AMCL["D Sew"] = "Dalaran Sewers";

	AMCL["Entrance"] = "Entrance or Exit to the Sewers";

	AMCL["The Black Market"] = "The Black Market";
	AMCL["Hexil Garrot"] = "Hexil Garrot".." <"..BabbleNPCDesc["Tools of the Trade"]..">";
	AMCL["Pazik The Pick"] = "Pazik 'The Pick' Prylock".." <"..BabbleNPCDesc["Locksmith"]..">";
	AMCL["Scout Nisstina"] = "Scout Nisstina".." <"..BabbleNPCDesc["The Three Fingered Bandit"]..">";
	AMCL["Alchemist Cinesra"] = "Alchemist Cinesra".." <"..BabbleNPCDesc["Poison Vendor"]..">";
	AMCL["Darahir"] = "Darahir".." <"..BabbleNPCDesc["Reagents & Magical Goods"]..">";

	AMCL["Circle of Wills"] = "The Circle of Wills";
	AMCL["Blazik Fireclaw"] = "Blazik Fireclaw".." <"..BabbleNPCDesc["Water Vendor"]..">";
	AMCL["Nargle Lashcord"] = "Nargle Lashcord".." <"..BabbleNPCDesc["Veteran Arena Vendor"]..">";
	AMCL["Xazi Smolderpipe"] = "Xazi Smolderpipe".." <"..BabbleNPCDesc["Arena Vendor"]..">";
	AMCL["Zom Bocom"] = "Zom Bocom".." <"..BabbleNPCDesc["Apprentice Arena Vendor"]..">";
	AMCL["Shifty Vickers"] = "Shifty Vickers";

	AMCL["Baroness Llana"] = "'Baroness' Llana".." <"..BabbleNPCDesc["Arena Organizer"]..">";
	AMCL["Schembari Shearbolt"] = "Schembari 'Uncle Sal' Shearbolt".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	AMCL["Schembari Shearbolt &"] = "";

	AMCL["Rickard Rustbolt"] = "'Techs' Rickard Rustbolt".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	AMCL["Sarah Brady"] = "Sarah Brady".." <"..BabbleNPCDesc["Alcohol"]..">";
	AMCL["Minzi Minx"] = "Minzi the Minx".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	AMCL["Nixi Fireclaw"] = "Nixi Fireclaw".." <"..BabbleNPCDesc["Water Vendor"]..">";

	AMCL["Kanika Goldwell"] = "Kanika Goldwell".." <"..BabbleNPCDesc["Arena Organizer"]..">";
	AMCL["Ramik Slamwrench"] = "Ramik Slamwrench".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	AMCL["Danik Blackshaft"] = "'Dapper' Danik Blackshaft".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	AMCL["Cantrips & Crows"] = "Cantrips & Crows";
	AMCL["Ajay Green"] = "Ajay Green".." <"..BabbleNPCDesc["Innkeeper"]..">";
	AMCL["Narisa Redgold"] = "Narisa Redgold".." <"..BabbleNPCDesc["Barmaid"]..">";

	AMCL["Binzik Goldbook"] = "Binzik Goldbook".." <"..BabbleNPCDesc["Banker"]..">";

	AMCL["Angelo Pescatore"] = "Angelo Pescatore".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

	AMCL["Rin Duoctane"] = "Rin Duoctane";

	AMCL["Sewer Pipe"] = "Entrance or Exit that you need a flying mount";
	AMCL["Add On"] = "to use";

	AMCL["Washed-up Mage"] = "Washed-up Mage";


  --NPC Darnassus 
  --White  
	AMCL["Warrior's Terrace"] = "Warrior's Terrace";
   
	AMCL["Mydrannul"] = "Mydrannul".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	AMCL["Shylenai"] = "Shylenai".." <"..BabbleNPCDesc["Owl Trainer"]..">";
	AMCL["Fyrenna"] = "Fyrenna".." <"..BabbleNPCDesc["Food & Drink Vendor"]..">";
	AMCL["Ancient of War"] = "Ancient of War";
   
	AMCL["Sildanair"] = "Sildanair".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Thyn'tel"] = "Thyn'tel Bladeweaver";
   
	AMCL["Elanaria"] = "Elanaria";
	AMCL["Arias'ta"] = "Arias'ta Bladesinger".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Darnath"] = "Darnath Bladesinger".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Brogun"] = "Brogun Stoneshield".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	AMCL["Enlae"] = "Enlae".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	AMCL["Aethalas"] = "Aethalas".." <"..BabbleNPCDesc["Warsong Gulch Battlemaster"]..">";
	AMCL["Fima"] = "Fima Five-Fingers".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	AMCL["Keras"] = "Keras Wolfheart".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	AMCL["Nivara"] = "Nivara Bladedancer".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	AMCL["Nivara &"] = "";
 
	AMCL["Ariyell"] = "Ariyell Skyshadow".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	AMCL["Mathiel"] = "Mathiel";
	AMCL["Cylania"] = "Cylania".." <"..BabbleNPCDesc["Night Elf Armorer"]..">";
	AMCL["Ilyenia"] = "Ilyenia Moonfire".." <"..BabbleNPCDesc["Weapon Master"]..">";
  
  --Purp
	AMCL["Tradesmen's Terrace"] = "Tradesmen's Terrace";
   
	AMCL["General Goods & Bags"] = "General Goods & Bags";
	AMCL["Ellandrieth"] = "Ellandrieth".." <"..BabbleNPCDesc["General Goods"]..">";
	AMCL["Yldan"] = "Yldan".." <"..BabbleNPCDesc["Bag Merchant"]..">";
   
	AMCL["Weapons"] = "Weapons";
	AMCL["Glorandiir"] = "Glorandiir".." <"..BabbleNPCDesc["Axe Merchant"]..">";
	AMCL["Merelyssa"] = "Merelyssa".." <"..BabbleNPCDesc["Blade Merchant"]..">";
	AMCL["Mythidan"] = "Mythidan".." <"..BabbleNPCDesc["Mace & Staff Merchant"]..">";
	AMCL["Kieran"] = "Kieran".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
   
	AMCL["Fletcher & Thrown Weapons"] = "Fletcher & Thrown Weapons";
	AMCL["Landria"] = "Landria".." <"..BabbleNPCDesc["Bow Merchant"]..">";
	AMCL["Turian"] = "Turian".." <"..BabbleNPCDesc["Thrown Weapon Merchant"]..">";
   
	AMCL["CAHW"] = "Cloth Armor & Two-handed Weapons";
	AMCL["Vinasia"] = "Vinasia".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	AMCL["Ealyshia D"] = "Ealyshia Dewwhisper".." <"..BabbleNPCDesc["Two-handed Weapon Merchant"]..">";
	AMCL["Ealyshia D &"] = "";
 
	AMCL["Leather Armor"] = "Leather Armor";
	AMCL["Cyridan"] = "Cyridan".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
   
	AMCL["Mail Armor & Shields"] = "Mail Armor & Shields";
	AMCL["Melea"] = "Melea".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	AMCL["Caynrus"] = "Caynrus".." <"..BabbleNPCDesc["Shield Merchant"]..">";
   
	AMCL["Jareth"] = "Jareth Wildwoods";
   
	AMCL["Treshala"] = "Treshala Fallowbrook";
   
	AMCL["Sentinel's Bunkhouse"] = "Sentinel's Bunkhouse";
   
	AMCL["Staff & Robe"] = "Staff & Robe";
	AMCL["Andrus"] = "Andrus".." <"..BabbleNPCDesc["Staff Merchant"]..">";
	AMCL["Anadyia"] = "Anadyia".." <"..BabbleNPCDesc["Robe Vendor"]..">";

	AMCL["Jaeana"] = "Jaeana".." <"..BabbleNPCDesc["Meat Vendor"]..">";
	AMCL["Jaeana&"] = "           (Does a circle around the Weapons and Fletcher buildings)";

  --Yell
	AMCL["Craftsmen's Terrace"] = "Craftsmen's Terrace";

	AMCL["Guild"] = "Guild";
	AMCL["Lysheana"] = "Lysheana".." <"..BabbleNPCDesc["Guild Master"]..">";
	AMCL["Shalumon"] = "Shalumon".." <"..BabbleNPCDesc["Tabard Vendor"]..">";
	AMCL["Ellaercia"] = "Ellaercia".." <"..BabbleNPCDesc["Guild Tabard Designer"]..">";

	AMCL["Saelienne"] = "Innkeeper Saelienne";

	AMCL["Tailoring &"] = "Tailoring & Leatherworking";
	AMCL["Me'lynn"] = "Me'lynn".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	AMCL["Elynna"] = "Elynna".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	AMCL["Raedon D"] = "Raedon Duskstriker".." <"..BabbleNPCDesc["Alliance Cloth Quartermaster"]..">";
	AMCL["Raedon D &"] = "";
	AMCL["Telonis"] = "Telonis".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	AMCL["Saenorion"] = "Saenorion".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	AMCL["Eladriel"] = "Eladriel".." <"..BabbleNPCDesc["Skinning Trainer"]..">";
	AMCL["Lotherias"] = "Lotherias";

	AMCL["General"] = "General Trade";
	AMCL["Mythrin'dir"] = "Mythrin'dir".." <"..BabbleNPCDesc["Trade Supplies"]..">";

	AMCL["Enchanting"] = "Enchanting & Inscriptions";
	AMCL["Taladan"] = "Taladan".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	AMCL["Vaean"] = "Vaean".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	AMCL["Feyden D"] = "Feyden Darkin".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	AMCL["Illianna M"] = "Illianna Moonscribe".." <"..BabbleNPCDesc["Inscription Supplies"]..">";

	AMCL["Alchemy"] = "Alchemy & Argent Dawn";
	AMCL["Ainethil"] = "Ainethil".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	AMCL["Ulthir"] = "Ulthir".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	AMCL["Argent Guard Manados"] = "Argent Guard Manados".." <"..BabbleNPCDesc["The Argent Dawn"]..">";
	AMCL["D Selgorm"] = "Dawnwatcher Selgorm".." <"..BabbleNPCDesc["The Argent Dawn"]..">";
	AMCL["D Shaedlass"] = "Dawnwatcher Shaedlass".." <"..BabbleNPCDesc["The Argent Dawn"]..">";

	AMCL["Cooking"] = "Cooking";
	AMCL["Alegorn"] = "Alegorn".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	AMCL["Fyldan"] = "Fyldan".." <"..BabbleNPCDesc["Cooking Supplies"]..">";

	AMCL["First Aid"] = "First Aid";
	AMCL["Dannelor"] = "Dannelor".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

  --Blue
	AMCL["Cenarion Enclave"] = "Cenarion Enclave";

	AMCL["Tunnel R Trainer"] = "Tunnel to Rogue Trainer";

	AMCL["Food & Drink"] = "Food & Drink";
	AMCL["Dendrythis"] = "Dendrythis".." <"..BabbleNPCDesc["Food & Drink Vendor"]..">";

	AMCL["Rellian G"] = "Rellian GreenSpyre";

	AMCL["Mounts"] = "Mounts";
	AMCL["Jartsam"] = "Jartsam".." <"..BabbleNPCDesc["Riding Trainer"]..">";
	AMCL["Lelanai"] = "Lelanai".." <"..BabbleNPCDesc["Saber Handler"]..">";

	AMCL["Hunter"] = "Hunter Trainers";
	AMCL["Alassin"] = "Alassin".." <"..BabbleNPCDesc["Stable Master"]..">";
	AMCL["Jocaste"] = "Jocaste".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Corand"] = "Corand";
	AMCL["Jeen'ra N"] = "Jeen'ra Nightrunner".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Dorion"] = "Dorion".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Silvaria"] = "Silvaria".." <"..BabbleNPCDesc["Pet Trainer"]..">";

	AMCL["Druid"] = "Druid Trainers";
	AMCL["Denatharion"] = "Denatharion".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	AMCL["Fylerian N"] = "Fylerian Nightwing".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	AMCL["Cyroen"] = "Cyroen".." <"..BabbleNPCDesc["Reagents"]..">";
	AMCL["Mathrengyl B"] = "Mathrengyl Bearwalker".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	AMCL["Fandral S"] = "Arch Druid Fandral Staghelm";

	AMCL["Poisons"] = "Poison Vendor";
	AMCL["Kyrai"] = "Kyrai".." <"..BabbleNPCDesc["Poison Supplies"]..">";
	AMCL["Faelyssa"] = "Faelyssa";

	AMCL["Rogue"] = "Rogue Trainers";
	AMCL["Syurna"] = "Syurna".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Anishar"] = "Anishar".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Erion S"] = "Erion Shadewhisper".." <"..BabbleNPCDesc["Rogue Trainer"]..">";

  --Gren
	AMCL["The Temple Gardens"] = "The Temple Gardens";

	AMCL["Portal to Rut'theran"] = "Portal to Rut'theran Village";

	AMCL["O Lunalight"] = "Officer Lunalight".." <"..BabbleNPCDesc["Darnassus Commendations"]..">";

	AMCL["Sister Aquinne"] = "Sister Aquinne".." <"..BabbleNPCDesc["Novice Priestess"]..">";

	AMCL["Fishing"] = "Fishing";
	AMCL["Astaia"] = "Astaia".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	AMCL["Voloren"] = "Voloren".." <"..BabbleNPCDesc["Fishing Supplies"]..">";
	AMCL["Talaelar"] = "Talaelar".." <"..BabbleNPCDesc["Fish Vendor"]..">";

	AMCL["Herbalism"] = "Herbalism Trainer";
	AMCL["Firodren M"] = "Firodren Mooncaller".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	AMCL["Chardryn"] = "Chardryn".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	AMCL["Greywhisker"] = "Chief Archaeologist Greywhisker".." <"..BabbleNPCDesc["Explorers' League"]..">";
	AMCL["Greywhisker &"] = "";

	AMCL["Alaindia"] = "Alaindia".." <"..BabbleNPCDesc["Reagents Vendor"]..">";
	AMCL["Alaindia&"] = "           (Travels between four spots and ";
	AMCL["Alaindia&1"] = "          stops for about five minutes at each spot)";

  --Cyan
	AMCL["Temple Moon"] = "The Temple of the Moon";

	AMCL["Main Floor"] = "Main Floor";
	AMCL["Jandria"] = "Jandria".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Lariia"] = "Lariia".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Elissa D"] = "Elissa Dumas".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	AMCL["Dalia S"] = "Sentinel Dalia Sunblade";

	AMCL["Balconey"] = "Balconey";
	AMCL["P A'moora"] = "Priestess A'moora";

	AMCL["Gracina S"] = "Gracina Spiritmight";

	AMCL["AstariiS"] = "Astarii Starseeker".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["PAlathea"] = "Priestess Alathea".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["TyrandeW"] = "Tyrande Whisperwind".." <"..BabbleNPCDesc["High Priestess of Elune"]..">";
	AMCL["Valustraa"] = "Emissary Valustraa";


  --NPC Exodar
  --White
	AMCL["Outside"] = "Outside the Front Entrance";
	AMCL["Entrance Ex"] = "Entrance or Exit to the City";

	AMCL["Stephanos"] = "Stephanos".." <"..BabbleNPCDesc["Hippogryph Master"]..">";

	AMCL["Torallius"] = "Torallius the Pack Handler".." <"..BabbleNPCDesc["Elekk Breeder"]..">";
	AMCL["Aalun"] = "Aalun".." <"..BabbleNPCDesc["Riding Trainer"]..">";

  --Gren
	AMCL["Seat of the Naaru"] = "Seat of the Naaru";

	AMCL["Caregiver B"] = "Caregiver Breel".." <"..BabbleNPCDesc["Innkeeper"]..">";
	AMCL["Arthaid"] = "Arthaid".." <"..BabbleNPCDesc["Stable Master"]..">";
	AMCL["Miglik B"] = "Miglik Blotstrom".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	AMCL["O Khaluun"] = "Officer Khaluun".." <"..BabbleNPCDesc["Exodar Commendations"]..">";

	AMCL["Mumman"] = "Mumman".." <"..BabbleNPCDesc["Cook"]..">";
	AMCL["Phea"] = "Phea".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	AMCL["CookP"] = "Cookpot";

	AMCL["Onnis"] = "Onnis".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	AMCL["Cuzi"] = "Cuzi".." <"..BabbleNPCDesc["Bag Vendor"]..">";

	AMCL["Bran'daan"] = "Herald Bran'daan";

	AMCL["Nurguni"] = "Nurguni".." <"..BabbleNPCDesc["Tradesman"]..">";

	AMCL["O'ros"] = "O'ros (Down the Ramp)";

  --Red
	AMCL["Traders Tier"] = "Traders' Tier";

	AMCL["Tailoring"] = "Tailoring";
	AMCL["Refik"] = "Refik".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	AMCL["Neii"] = "Neii".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	AMCL["Dugiru"] = "Dugiru".." <"..BabbleNPCDesc["Alliance Cloth Quartermaster"]..">";

	AMCL["Leatherworking and Skinning"] = "Leatherworking and Skinning";
	AMCL["Remere"] = "Remere".." <"..BabbleNPCDesc["Skinning Trainer"]..">";
	AMCL["Akham"] = "Akham".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	AMCL["Haferet"] = "Haferet".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";

	AMCL["Plate Armor & Shields"] = "Plate Armor & Shields";
	AMCL["Gotaan"] = "Gotaan".." <"..BabbleNPCDesc["Plate Armor Merchant"]..">";
	AMCL["Treall"] = "Treall".." <"..BabbleNPCDesc["Shield Merchant"]..">";

	AMCL["Bladed Weapons"] = "Bladed Weapons";
	AMCL["Ven"] = "Ven".." <"..BabbleNPCDesc["Blade Vendor"]..">";

	AMCL["Blunt Weapons"] = "Blunt Weapons";
	AMCL["Ellomin"] = "Ellomin".." <"..BabbleNPCDesc["Blunt Weapon Merchant"]..">";

	AMCL["Leather & Cloth Armor"] = "Leather & Cloth Armor (up stairs)";
	AMCL["Mahri"] = "Mahri".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	AMCL["Gornii"] = "Gornii".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";

	AMCL["Mail Armor"] = "Mail Armor (up stairs)";
	AMCL["Yil"] = "Yil".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";

	AMCL["Mining and Smithing"] = "Mining and Smithing";
	AMCL["Muaat"] = "Muaat".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	AMCL["Merran"] = "Merran".." <"..BabbleNPCDesc["Mining Supplies"]..">";
	AMCL["Miall"] = "Miall".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	AMCL["Arras"] = "Arras".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";

	AMCL["Engineering"] = "Engineering";
	AMCL["Ockil"] = "Ockil".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	AMCL["Feera"] = "Feera".." <"..BabbleNPCDesc["Engineering Supplies"]..">";

	AMCL["Hunters' Sanctum"] = "Hunters' Sanctum";
	AMCL["Deremiis"] = "Deremiis".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Vord"] = "Vord".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Killac"] = "Killac".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Ganaar"] = "Ganaar".." <"..BabbleNPCDesc["Pet Trainer"]..">";
	AMCL["Avelii"] = "Avelii".." <"..BabbleNPCDesc["Bowyer"]..">";
	AMCL["Muhaa"] = "Muhaa".." <"..BabbleNPCDesc["Gunsmith"]..">";

	AMCL["Ring of Arms"] = "Ring of Arms";
	AMCL["Fingin"] = "Fingin".." <"..BabbleNPCDesc["Poison Supplies"]..">";
	AMCL["Ahonan"] = "Ahonan".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Kazi"] = "Kazi".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Behomat"] = "Behomat".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Handiir"] = "Handiir".." <"..BabbleNPCDesc["Weapon Master"]..">";

	AMCL["Guild Master and Tabards"] = "Guild Master and Tabards";
	AMCL["Funaam"] = "Funaam".." <"..BabbleNPCDesc["Guild Master"]..">";
	AMCL["Issca"] = "Issca".." <"..BabbleNPCDesc["Tabard Vendor"]..">";

  --Purp
	AMCL["The Vault of Lights"] = "The Vault of Lights";

	AMCL["Hall of the Mystics"] = "Hall of the Mystics";
	AMCL["Bati"] = "Bati".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Harnan"] = "Harnan".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Edirah"] = "Edirah".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Lunaraa"] = "Lunaraa".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	AMCL["Oss"] = "Oss".." <"..BabbleNPCDesc["Wand Vendor"]..">";
	AMCL["Musal"] = "Musal".." <"..BabbleNPCDesc["Alchemy Supplies & Reagents"]..">";

	AMCL["Vindicators' Sanctum"] = "Vindicators' Sanctum";
	AMCL["Kavaan"] = "Kavaan".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["Jol"] = "Jol".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["Baatun"] = "Baatun".." <"..BabbleNPCDesc["Paladin Trainer"]..">";

	AMCL["Alchemy and Herbalism"] = "Alchemy and Herbalism";
	AMCL["Lucc"] = "Lucc".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	AMCL["Altaa"] = "Altaa".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	AMCL["Cemmorhan"] = "Cemmorhan".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";

	AMCL["Tolo"] = "Tolo".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";

	AMCL["Mahul"] = "Mahul".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	AMCL["Mitia"] = "Mitia".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";

	AMCL["Jihi"] = "Jihi".." <"..BabbleNPCDesc["Warsong Gulch Battlemaster"]..">";
	AMCL["Buhurda"] = "Buhurda".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";

	AMCL["Prophet Velen"] = "Prophet Velen";

	AMCL["Anchorites' Sanctum"] = "Anchorites' Sanctum";
	AMCL["Izmir"] = "Izmir".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Fallat"] = "Fallat".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Caedmos"] = "Caedmos".." <"..BabbleNPCDesc["Priest Trainer"]..">";

  --White
	AMCL["The Crystal Hall"] = "The Crystal Hall";

  --AMCL["Enchanting"] = "Enchanting"; -- Duplicated
	AMCL["Nahogg"] = "Nahogg".." <"..BabbleNPCDesc["Echanting Trainer"]..">";
	AMCL["Egomis"] = "Egomis".." <"..BabbleNPCDesc["Echanting Supplies"]..">";
	AMCL["Thoth"] = "Thoth".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	AMCL["Sessoh"] = "Sessoh".." <"..BabbleNPCDesc["Inscription Supplies"]..">";

	AMCL["Sixx"] = "Sixx".." <"..BabbleNPCDesc["Moth Vendor (Main Floor)"]..">";

	AMCL["Gurrag"] = "Gurrag".." <"..BabbleNPCDesc["Shaman Trainer"]..">";

	AMCL["F Nobundo"] = "Farseer Nobundo".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	AMCL["F Dunaer"] = "Foreman Dunaer";
	AMCL["Valon"] = "Valon";

	AMCL["Sulaa"] = "Sulaa".." <"..BabbleNPCDesc["Shaman Trainer"]..">";

  --AMCL["Fishing"] = "Fishing";
	AMCL["Erett"] = "Erett".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	AMCL["Dekin"] = "Dekin".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

	AMCL["Hobahken"] = "Hobahken".." <"..BabbleNPCDesc["Shaman Trainer"]..">";

	AMCL["Reagents"] = "Reagents";
	AMCL["Bildine"] = "Bildine".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

  --AMCL["First Aid"] = "First Aid";
	AMCL["Nus"] = "Nus".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

	AMCL["Jewelcrafting"] = "Jewelcrafting";
	AMCL["Farii"] = "Farii".." <"..BabbleNPCDesc["Jewelcrafting Trainer"]..">";
	AMCL["Arred"] = "Arred".." <"..BabbleNPCDesc["Jewelcrafting Supplier"]..">";
	AMCL["Padaar"] = "Padaar".." <"..BabbleNPCDesc["Apprentice Jewelcrafter"]..">";

	AMCL["Seer Skaltesh"] = "Seer Skaltesh";

  --NPC Ironforge
  --White
	AMCL["The Common"] = "The Commons";

	AMCL["Barim"] = "Barim's Reagents";
	AMCL["Barim J"] = "Barim Jurgenstaad".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

	AMCL["Stonefire Tavern"] = "The Stonefire Tavern";
	AMCL["Innkeeper Firebrew"] = "Innkeeper Firebrew";
	AMCL["Gwenna F"] = "Gwenna Firebrew".." <"..BabbleNPCDesc["Barmaid"]..">";
	AMCL["Larkin T"] = "Larkin Thunderbrew".." <"..BabbleNPCDesc["Brew of the Month Club"]..">";
	AMCL["Brew Vendor"] = "Brew Vendor".." <"..BabbleNPCDesc["Brew of the Month Club"]..">";
	AMCL["Sheldonore"] = "Artilleryman Sheldonore";

	AMCL["Pella B"] = "Pella Brassbrush".." <"..BabbleNPCDesc["Barber"]..">";

	AMCL["Ironforge Armory"] = "Ironforge Armory";
	AMCL["Mangorn F"] = "Mangorn Flinthammer".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";
	AMCL["Raena F"] = "Raena Flinthammer".." <"..BabbleNPCDesc["Light Armor Merchant"]..">";
	AMCL["Bromiir O"] = "Bromiir Ormsen".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";

	AMCL["Dinita S"] = "Dinita Stonemantle".." <"..BabbleNPCDesc["Vault Administrator"]..">";
	AMCL["Lieutenant Rot"] = "Lieutenant Rotimer".." <"..BabbleNPCDesc["Stormpike Guard Recruitment Officer"]..">";
	AMCL["Lieutenant Rot &"] = "          (In front of the Bank)";

	AMCL["Steelfury's Weapon Emporium"] = "Steelfury's Weapon Emporium";
	AMCL["Dolman S"] = "Dolman Steelfury".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	AMCL["Grenil S"] = "Grenil Steelfury".." <"..BabbleNPCDesc["Weapon Merchant"]..">";

	AMCL["Fizzlespinner"] = "Fizzlespinner's General Goods";
	AMCL["Fillius F"] = "Fillius Fizzlespinner".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	AMCL["Bryllia I"] = "Bryllia Ironbrand".." <"..BabbleNPCDesc["General Goods Vendor"]..">";

	AMCL["Marblesten"] = "Grand Mason Marblesten. Royal Stonecutters";
	AMCL["Marblesten&"] = "          Union";

	AMCL["Ironforge V C"] = "Ironforge Visitor Center";
	AMCL["Jondor S"] = "Jondor Steelbrow".." <"..BabbleNPCDesc["Guild Master"]..">";
	AMCL["Lyesa S"] = "Lyesa Steelbrow".." <"..BabbleNPCDesc["Guild Tabard Vendor"]..">";

	AMCL["Myra T"] = "Myra Tyrngaarde".." <"..BabbleNPCDesc["Bread Vendor"]..">";
	AMCL["Myra T &"] = "           (Circles in front of the Bank and Auction House)";

  --Gren
	AMCL["Mystic Ward"] = "The Mystic Ward";

	AMCL["Fighting Wizard"] = "The Fighting Wizard";
	AMCL["Bingus"] = "Bingus".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	AMCL["Harick B"] = "Harick Boulderdrum".." <"..BabbleNPCDesc["Wands Merchant"]..">";

	AMCL["Hall of Mysteries"] = "Hall of Mysteries";
	AMCL["Toldren D"] = "Toldren Deepiron".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Braenna F"] = "Braenna Flintcrag".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["High Priest Rohan"] = "High Priest Rohan".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Theodrus F"] = "Theodrus Frostbeard".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Bink"] = "Bink".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Dink"] = "Dink".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Juli S"] = "Juli Stormkettle".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Milstaff S"] = "Milstaff Stormeye".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	AMCL["Brandur I"] = "Brandur Ironhammer".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["Beldruk D"] = "Beldruk Doombrow".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["Muiredon B"] = "Muiredon Battleforge";
	AMCL["Valgar H"] = "Valgar Highforge".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["Nittlebur S"] = "Nittlebur Sparkfizzle".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Tiza B"] = "Tiza Battleforge";

	AMCL["Mage Tymor"] = "Mage Tymor";

	AMCL["Talvash Kissel"] = "Talvash del Kissel";

	AMCL["Maeva's"] = "Maeva's Mystical Apparel";
	AMCL["Maeva"] = "Maeva Snowbraid".." <"..BabbleNPCDesc["Robe Merchant"]..">";
	AMCL["Ingrys S"] = "Ingrys Stonebrow".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";

	AMCL["Longberry's"] = "Longberry's Reagents";
	AMCL["Ginny L"] = "Ginny Longberry".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

	AMCL["Bimble L"] = "Bimble Longberry".." <"..BabbleNPCDesc["Fruit Vendor"]..">";
	AMCL["Bimble L&"] = "           (Circles around the fountain in the Mystic Ward)";

  --Blue
	AMCL["Forlorn Cavern"] = "The Forlorn Cavern";

	AMCL["Stoneblades"] = "Stoneblade's";
	AMCL["Hjoldir S"] = "Hjoldir Stoneblade".." <"..BabbleNPCDesc["Blade Merchant"]..">";
	AMCL["Binny"] = "Binny Springblade";
	AMCL["Prynne"] = "Prynne";

	AMCL["Traveling Fisherman"] = "Traveling Fisherman";
	AMCL["Grimnur S"] = "Grimnur Stonebrand".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	AMCL["Tansy P"] = "Tansy Puddlefizz".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

	AMCL["Lago B"] = "Lago Blackwrench";

	AMCL["Thistleheart"] = "Thistleheart".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Briarthorn"] = "Briarthorn".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Alexander C"] = "Alexander Calder".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Gerrig B"] = "Gerrig Bonegrip";

	AMCL["Tynnus V"] = "Tynnus Venomsprout".." <"..BabbleNPCDesc["Shady Dealer"]..">";
	AMCL["Fenthwick"] = "Fenthwick".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Ormyr F"] = "Ormyr Flinteye".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Hulfdan B"] = "Hulfdan Blackbeard".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Durtham G"] = "Durtham Greldon";

	AMCL["Ransin D"] = "Ransin Donner";
	AMCL["Murky"] = "Murky";

  --Purp
	AMCL["Hall of Explorers"] = "Hall of Explorers";

	AMCL["Roetten S"] = "Roetten Stonehammer".." <"..BabbleNPCDesc["Reclaimers Inc."]..">";
	AMCL["Magellas"] = "High Explorer Magellas".." <"..BabbleNPCDesc["Explorers' League"]..">";

	AMCL["The Library"] = "The Library";
	AMCL["Thorius"] = "Curator Thorius";

	AMCL["Lyon M"] = "Lyon Mountainheart";

	AMCL["Laris G"] = "Laris Geardawdle";

	AMCL["Krom S"] = "Krom Stoutarm";
	AMCL["Prospector S"] = "Prospector Stormpike";
	AMCL["Mae P"] = "Librarian Mae Paledust".." <"..BabbleNPCDesc["Explorers' League"]..">";
	AMCL["Advisor B"] = "Advisor Belgrum";
	AMCL["Historian K"] = "Historian Karnik";

  --Cyan
	AMCL["Tinker Town"] = "Tinker Town";

	AMCL["Bubulo"] = "Bubulo".." <"..BabbleNPCDesc["Alliance Cloth Quartermaster"]..">";

	AMCL["Boom!"] = "Things that go Boom!";
	AMCL["Lomac"] = "Lomac Gearstrip";
	AMCL["Fizzlebang"] = "Fizzlebang Booms".." <"..BabbleNPCDesc["Fireworks Vendor"]..">";

	AMCL["Berryfizz's"] = "Berryfizz's Potions and Mixed Drinks";
	AMCL["Tally B"] = "Tally Berryfizz".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	AMCL["Soolie B"] = "Soolie Berryfizz".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";

	AMCL["Overspark"] = "Tinkmaster Overspark".." <"..BabbleNPCDesc["Gnome Engineering Trainer"]..">";
	AMCL["Overspark&"] = "";
	AMCL["Gnoarn"] = "Gnoarn";

	AMCL["Mekkatorque"] = "High Tinker Mekkatorque".." <"..BabbleNPCDesc["King of the Gnomes"]..">";

	AMCL["Castpipe"] = "Master Mechanic Castpipe";
	AMCL["Klockmort"] = "Klockmort Spannerspan";
	AMCL["Porterhouse"] = "Officer Porterhouse".." <"..BabbleNPCDesc["Gnomeregan Commendations"]..">";
	AMCL["Porterhouse&"] = "";

	AMCL["Springspindle's"] = "Springspindle's Gadgets";
	AMCL["Fizzlegear"] = "Springspindle Fizzlegear".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	AMCL["Cogspinner"] = "Gearcutter Cogspinner".." <"..BabbleNPCDesc["Engineering Supplies"]..">";

	AMCL["Deeprun Tram"] = "Deeprun Tram";
	AMCL["Monty"] = "Monty".." <"..BabbleNPCDesc["Rat Extermination Specialist"]..">";
	AMCL["Haggle"] = "Haggle";

  --Orng
	AMCL["The Military Ward"] = "The Military Ward";

	AMCL["Goldfury's"] = "Goldfury's Hunting Supplies";
	AMCL["BrettaG"] = "Bretta Goldfury".." <"..BabbleNPCDesc["Gun Merchant"]..">";
	AMCL["SkolminG"] = "Skolmin Goldfury".." <"..BabbleNPCDesc["Bow Merchant"]..">";

	AMCL["Bruuk's Corner"] = "Bruuk's Corner";
	AMCL["BruukB"] = "Bruuk Barleybeard".." <"..BabbleNPCDesc["Bartender"]..">";
	AMCL["TisaM"] = "Tisa Martine";
	AMCL["EdrisB"] = "Edris Barleybeard".." <"..BabbleNPCDesc["Barmaid"]..">";

	AMCL["SognarC"] = "Sognar Cliffbeard".." <"..BabbleNPCDesc["Meat Vendor"]..">";
	AMCL["SognarC&"] = "           (Does a cirlce in the Military Ward)";

	AMCL["Hall of Arms"] = "Hall of Arms";
	AMCL["RegnusT"] = "Regnus Thundergranite".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["OlminB"] = "Olmin Burningbeard".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["UlbrekF"] = "Ulbrek Firehand".." <"..BabbleNPCDesc["Stable Master"]..">";
	AMCL["BeliaT"] = "Belia Thundergranite".." <"..BabbleNPCDesc["Pet Trainer"]..">";
	AMCL["DemnulF"] = "Demnul Farmountain";
	AMCL["DaeraB"] = "Daera Brightspear".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["KelvS"] = "Kelv Sternhammer".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["MaxX"] = "Max Xim".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	AMCL["DonalO"] = "Donal Osgood".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	AMCL["Lylandris"] = "Lylandris".." <"..BabbleNPCDesc["Warsong Gultch Battlemaster"]..">";
	AMCL["MargaB"] = "Marga Bearbrawn".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	AMCL["MargaB&"] = "";
	AMCL["GlordrumS"] = "Glordrum Steelbeard".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	AMCL["Kandaar"] = "Kandaar".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	AMCL["MurenS"] = "Muren Stormpike";
	AMCL["KelstrumS"] = "Kelstrum Stonebreaker".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["BilbanT"] = "Bilban Tosslespanner".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["GilbartaG"] = "Gilbarta Grandhammer".." <"..BabbleNPCDesc["Battleground Enthusiast"]..">";
	AMCL["PLongbeard"] = "Pilot Longbeard".." <"..BabbleNPCDesc["Ironforge Siege Brigade"]..">";
	AMCL["XiggsF"] = "Xiggs Fuselighter";

	AMCL["Timberline Arms"] = "Timberline Arms";
	AMCL["BuliwyfS"] = "Buliwyf Stonehand".." <"..BabbleNPCDesc["Weapon Master"]..">";
	AMCL["BixiW"] = "Bixi Wobblebonk".." <"..BabbleNPCDesc["Weapon Master"]..">";
	AMCL["KelomirI"] = "Kelomir Ironhand".." <"..BabbleNPCDesc["Maces & Staves"]..">";
	AMCL["ThalgusT"] = "Thalgus Thunderfist".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	AMCL["HegnarS"] = "Hegnar Swiftaxe".." <"..BabbleNPCDesc["Axe Merchant"]..">";
	AMCL["BrenwynW"] = "Brenwyn Wintersteel".." <"..BabbleNPCDesc["Blade Merchant"]..">";

	AMCL["Craghelm's"] = "Craghelm's Plate and Chain";
	AMCL["LissyphusF"] = "Lissyphus Finespindle".." <"..BabbleNPCDesc["Light Armor Merchant"]..">";
	AMCL["DolkinC"] = "Dolkin Craghelm".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	AMCL["OlthranC"] = "Olthran Craghelm".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";

	AMCL["SaraB"] = "Sara Balloo";

  --Yell
	AMCL["The Great Forge"] = "The Great Forge";

	AMCL["Ironforge Physician"] = "Ironforge Physician";
	AMCL["ReynaS"] = "Reyna Stonebranch".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	AMCL["GwinaS"] = "Gwina Stonebranch".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";
	AMCL["NissaF"] = "Nissa Firestone".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

	AMCL["GrythT"] = "Gryth Thurden".." <"..BabbleNPCDesc["Gryphon Master"]..">";

	AMCL["Thistlefuzz Arcanery"] = "Thistlefuzz Arcanery";
	AMCL["EJademoon"] = "Cenarion Emissary Jademoon";
	AMCL["GimbleT"] = "Gimble Thistlefuzz".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	AMCL["TilliT"] = "Tilli Thistlefuzz".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	AMCL["EliseB"] = "Elise Brightletter".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	AMCL["ThargenH"] = "Thargen Heavyquill".." <"..BabbleNPCDesc["Inscription Supplies"]..">";

	AMCL["Bronze Kettle"] = "The Bronze Kettle";
	AMCL["DarylR"] = "Daryl Riknussun".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	AMCL["EmrulR"] = "Emrul Riknussun".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	AMCL["DBcook"] = "(Cooking can be done at any Dwarven Brazier";
	AMCL["DBcook&"] = "           in the city)";

	AMCL["FJavad"] = "Farseer Javad".." <"..BabbleNPCDesc["Shaman Trainer"]..">";

	AMCL["DMMG"] = "Deep Mountain Mining Guild";
	AMCL["GeoframB"] = "Geofram Bouldertoe".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	AMCL["GolnirB"] = "Golnir Bouldertoe".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	AMCL["Burbik's"] = "Burbik's Supplies";
	AMCL["BurbikG"] = "Burbik Gearspanner".." <"..BabbleNPCDesc["Trade Supplies"]..">";

	AMCL["Stonebrow's"] = "Stonebrow's Clothier";
	AMCL["JormundS"] = "Jormund Stonebrow".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	AMCL["PorannaS"] = "Poranna Snowbraid".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	AMCL["OEric"] = "Outfitter Eric".." <"..BabbleNPCDesc["Speciality Tailoring Supplies"]..">";
	AMCL["MistinaS"] = "Mistina Steelshield".." <"..BabbleNPCDesc["Alliance Cloth Quartermaster"]..">";
	AMCL["MistinaS&"] = "          (Dwarf)";

	AMCL["Finespindle's"] = "Finespindle's Leather Goods";
	AMCL["FimbleF"] = "Fimble Finespindle".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	AMCL["BombusF"] = "Bombus Finespindle".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	AMCL["BalthusS"] = "Balthus Stoneflayer".." <"..BabbleNPCDesc["Skinning Trainer"]..">";

	AMCL["OIronbeard"] = "Officer Ironbeard".." <"..BabbleNPCDesc["Ironforge Commendations"]..">";

	AMCL["Sraaz"] = "Sraaz".." <"..BabbleNPCDesc["Pie Vendor"]..">";
	AMCL["Sraaz&"] = "           (Does a circle around the Great Forge)";

	AMCL["High Seat"] = "The High Seat";
	AMCL["KingMagni"] = "King Magni Bronzebeard".." <"..BabbleNPCDesc["Lord of Ironforge"]..">";
	AMCL["SBarinR"] = "Senator Barin Redstone";
	AMCL["RHArchesonus"] = "Royal Historian Archesonus";
	AMCL["Deliana"] = "Deliana";

	AMCL["Great Forge"] = "The Great Forge";
	AMCL["GrumnusS"] = "Grumnus Steelshaper".." <"..BabbleNPCDesc["Armorsmith Trainer"]..">";
	AMCL["IronusC"] = "Ironus Coldsteel".." <"..BabbleNPCDesc["Weaponsmith Trainer"]..">";
	AMCL["ThurgrumD"] = "Thurgrum Deepforge".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	AMCL["BengusD"] = "Bengus Deepforge".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	AMCL["MyolorS"] = "Myolor Sunderfury";
	AMCL["BrombarH"] = "Brombar Higgleby".." <"..BabbleNPCDesc["The Keymaster"]..">";
	AMCL["TormusD"] = "Tormus Deepforge";
  
  --NPC Orgrimmar
  --White
	AMCL["Valley Strength"] = "The Valley of Strength";
  
	AMCL["FARokhs"] = "Frostwolf Ambassador Rokhstrom";

	AMCL["Gryshka"] = "Innkeeper Gryshka";
	AMCL["Morag"] = "Barkeep Morag";
	AMCL["Kozish"] = "Kozish";
	AMCL["Sarok"] = "Sarok";
	AMCL["Doyo'da"] = "Doyo'da";
	AMCL["Zaro"] = "Zaro";
	AMCL["Goma"] = "Goma";
	AMCL["Gamon"] = "Gamon";

	AMCL["SLSA"] = "Soran's Leather & Steel Armory";
	AMCL["Sana"] = "Sana".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	AMCL["Morgum"] = "Morgum".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	AMCL["Ollanus"] = "Ollanus".." <"..BabbleNPCDesc["Light Armor Merchant"]..">";

	AMCL["BImports"] = "Boomstick Imports";
	AMCL["Kaja"] = "Kaja".." <"..BabbleNPCDesc["Guns & Ammunition Vendor"]..">";

	AMCL["SReagents"] = "Spiritfury Reagents";
	AMCL["Horthus"] = "Horthus".." <"..BabbleNPCDesc["Reagents Vendor"]..">";

	AMCL["Horde Embassy"] = "Horde Embassy";
	AMCL["Urtrun"] = "Urtrun Clanbringer".." <"..BabbleNPCDesc["Guildmaster"]..">";
	AMCL["Garyl"] = "Garyl".." <"..BabbleNPCDesc["Tabard Vendor"]..">";

	AMCL["GenStore"] = "Orgrimmar General Store";
	AMCL["Trak'gen"] = "Trak'gen".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	AMCL["Shimra"] = "Shimra".." <"..BabbleNPCDesc["Trade Supplies"]..">";

	AMCL["ShattAxe"] = "The Shattered Axe";
	AMCL["Urtharo"] = "Urtharo".." <"..BabbleNPCDesc["Weapon Merchant"]..">";

	AMCL["Chophouse"] = "The Chophouse";
	AMCL["Olvia"] = "Olvia".." <"..BabbleNPCDesc["Meat Vendor"]..">";
	AMCL["OrcCook"] = "Orc Cooker (Cooking can be done at a Mighty";
	AMCL["OrcCook&"] = "          Blaze as well)";

	AMCL["SlopeVS"] = "Slope up to Valley of Spirits";

	AMCL["Zankaja"] = "Zankaja";
	AMCL["MBlaze"] = "Mighty Blaze";

	AMCL["Skytower"] = "The Skytower";
	AMCL["Doras"] = "Doras".." <"..BabbleNPCDesc["Wind Rider Master"]..">";
	AMCL["CEhoof"] = "Cenarion Emissary Blackhoof";

	AMCL["HallLegends"] = "Hall of Legends";
	AMCL["SGZarg"] = "Stone Guard Zarg".." <"..BabbleNPCDesc["Weapons Quartermaster"]..">";
	AMCL["DorisV"] = "Doris Volanthius".." <"..BabbleNPCDesc["Veteran Armor Quartermaster"]..">";
	AMCL["BraveSton"] = "Brave Stonehide".." <"..BabbleNPCDesc["Officer Accessories Quartermaster"]..">";
	AMCL["BraveSton&"] = "";
	AMCL["Zar'shi"] = "Blood Guard Zar'shi".." <"..BabbleNPCDesc["Armor Quartermaster"]..">";
	AMCL["LadyPal"] = "Lady Palanseer".." <"..BabbleNPCDesc["Jewelcrafting Quartermaster"]..">";
	AMCL["SergThunder"] = "Sergeant Thunderhorn".." <"..BabbleNPCDesc["Apprentice Armor Quartermaster"]..">";
	AMCL["SergThunder&"] = "";
	AMCL["Bork"] = "Raider Bork".." <"..BabbleNPCDesc["Mount Quartermaster"]..">";
	AMCL["Hola'mahi"] = "First Sergeant Hola'mahi".." <"..BabbleNPCDesc["Armor Quartermaster"]..">";
	AMCL["Earthbind"] = "Chieftain Earthbind";
	AMCL["Willington"] = "Advisor Willington";
	AMCL["Teena"] = "Legionnaire Teena".." <"..BabbleNPCDesc["Armor Quartermaster"]..">";
	AMCL["CArial"] = "Councilor Arial";
	AMCL["D'Anastasis"] = "D'Anastasis";
	AMCL["Hini'wana"] = "Blood Guard Hini'wana";
	AMCL["Bek'rah"] = "Grunt Bek'rah";
	AMCL["Korf"] = "Grunt Korf";

	AMCL["SkyStaves"] = "Skyfury Staves";
	AMCL["Ukra'nor"] = "Ukra'nor".." <"..BabbleNPCDesc["Staff Merchant"]..">";

	AMCL["Keldran"] = "Keldran";

	AMCL["Xan'tish"] = "Xan'tish".." <"..BabbleNPCDesc["Snake Vendor"]..">";
	AMCL["Xan'tish&"] = "           (Travels between west entrance to the city and Valley of Spirits)";

	AMCL["Krixx"] = "Krixx".." <"..BabbleNPCDesc["Zepplin Engineer"]..">";
	AMCL["Krixx&"] = "            (Travels between the bonfire near the south city entrance and";
	AMCL["Krixx&1"] = "           Nogg's Machine Shop in The Valley of";
	AMCL["Krixx&2"] = "           Honor)";


  --Purp
	AMCL["ValleySpirits"] = "The Valley of Spirits";

	AMCL["DarkbriarL"] = "Darkbriar Lodge";
	AMCL["Uthel'nay"] = "Uthel'nay".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Enyo"] = "Enyo".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Deino"] = "Deino".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Pephredo"] = "Pephredo".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Thuul"] = "Thuul".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	AMCL["Vehena"] = "Vehena".." <"..BabbleNPCDesc["Horde Cloth Quartermaster"]..">";
	AMCL["Ray'ma"] = "Ray'ma".." <"..BabbleNPCDesc["Brew of the Month Club"]..">";
	AMCL["Brew Vendor"] = "Brew Vendor".." <"..BabbleNPCDesc["Brew of the Month Club"]..">";

	AMCL["SpiLodge"] = "Spirit Lodge";
	AMCL["Ur'kyo"] = "Ur'kyo".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["X'yera"] = "X'yera".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Zayus"] = "Zayus".." <"..BabbleNPCDesc["High Priest"]..">";

	AMCL["SurvivalF"] = "Survival of the Fittest";
	AMCL["Arnok"] = "Arnok".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

  --Yell
	AMCL["Drag"] = "The Drag";

	AMCL["Borstan's"] = "Borstan's Firepit (upstairs)";
	AMCL["Borstan"] = "Borstan".." <"..BabbleNPCDesc["Meat Vendor"]..">";
	AMCL["Zamja"] = "Zamja".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	AMCL["Xen'to"] = "Xen'to".." <"..BabbleNPCDesc["Cooking Supplies"]..">";

	AMCL["Jo'mah"] = "Jo'mah".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	AMCL["Xantili"] = "Xantili".." <"..BabbleNPCDesc["Inscription Supplies"]..">";
	AMCL["Zilzibin"] = "Zilzibin Drumlore";
	AMCL["Sarlek"] = "Sarlek";
	AMCL["Tamaro"] = "Tamaro";

	AMCL["Arboretum"] = "Jandi's Arboretum (Upper level)";
	AMCL["Jandi"] = "Jandi".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	AMCL["Zeal'aya"] = "Zeal'aya".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	AMCL["Runeworks"] = "Godan's Runeworks";
	AMCL["Jhag"] = "Jhag".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	AMCL["Kithas"] = "Kithas".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	AMCL["Slope1"] = "Slope to get up or down a level";

	AMCL["Yelmak's"] = "Yelmak's Alchemy & Potions";
	AMCL["Yelmak"] = "Yelmak".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	AMCL["Kor'geld"] = "Kor'geld".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	AMCL["Jes'rimon"] = "Jes'rimon";

	AMCL["Salvage"] = "Droffers & Sons Salvage";
	AMCL["Dran"] = "Dran Droffers";
	AMCL["Malton"] = "Malton Droffers";

	AMCL["KLeatherworks"] = "Kodohide Leatherworks";
	AMCL["Karolek"] = "Karolek".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	AMCL["Tamar"] = "Tamar".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	AMCL["Thuwd"] = "Thuwd".." <"..BabbleNPCDesc["Skinning Trainer"]..">";
	AMCL["Handor"] = "Handor".." <"..BabbleNPCDesc["Cloth & Leather Armor Merchant"]..">";

	AMCL["ClothG"] = "Magar's Cloth Goods";
	AMCL["Magar"] = "Magar".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	AMCL["Borya"] = "Borya".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	AMCL["Tor'phan"] = "Tor'phan".." <"..BabbleNPCDesc["Cloth & Leather Armor Merchant"]..">";
	AMCL["Rashona"] = "Rashona Straglash".." <"..BabbleNPCDesc["Horde Cloth Quartermaster"]..">";
	AMCL["Rashona&"] = "          (Orc)";

	AMCL["Gotri's"] = "Gotri's Travelling Gear (Main level)";
	AMCL["Malton"] = "Gotri".." <"..BabbleNPCDesc["Bag Vendor"]..">";

	AMCL["Krixx2"] = "Krixx".." <"..BabbleNPCDesc["Zepplin Engineer"]..">";
	AMCL["Felika"] = "Felika".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	AMCL["Felika&"] = "           (Travels the drag from the Valley of Wisdom entrance to the";
	AMCL["Felika&1"] = "          Valley of Strength entrance)";

  --Blue
	AMCL["ValleyHonor"] = "The Valley of Honor";

	AMCL["Kiro's"] = "Kiro's Harnesses";
	AMCL["Kiro"] = "Kiro".." <"..BabbleNPCDesc["War Harness Maker"]..">";

	AMCL["OBowyer"] = "Orgrimmar Bowyer";
	AMCL["Jin'sora"] = "Jin'sora".." <"..BabbleNPCDesc["Bow Merchant"]..">";

	AMCL["HallBrave"] = "Hall of the Brave";
	AMCL["Zel'mak"] = "Zel'mak".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Sorek"] = "Sorek".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Grezz"] = "Grezz Ragefist".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Andrissa"] = "Andrissa Heartspear".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	AMCL["Andrissa&"] = "";
	AMCL["Deze"] = "Deze Snowbane".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	AMCL["Zeggon"] = "Zeggon Botsnap".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	AMCL["Brakgul"] = "Brakgul Deathbringer".." <"..BabbleNPCDesc["Warsong Gultch Battlemaster"]..">";
	AMCL["Brakgul&"] = "";
	AMCL["Ufuda"] = "Ufuda Giant-Slayer".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	AMCL["Ufuda&"] = "";
	AMCL["Kartra"] = "Kartra Bloodsnarl".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	AMCL["Muja"] = "Muja".." <"..BabbleNPCDesc["Battleground Enthusiast"]..">";
	AMCL["HordeWar"] = "Horde Warbringer";
	AMCL["BelgR"] = "Belgrom Rockmaul";

	AMCL["Lumak's"] = "Lumak's Fishing";
	AMCL["Lumak"] = "Lumak".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	AMCL["Shankys"] = "Shankys".." <"..BabbleNPCDesc["Fishing Supplies"]..">";
	AMCL["Zas'tysh"] = "Zas'tysh";

	AMCL["RedMining"] = "Red Canyon Mining";
	AMCL["Makaru"] = "Makaru".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	AMCL["Gorina"] = "Gorina".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	AMCL["Orphanage"] = "Orphanage";

	AMCL["Nogg's"] = "Nogg's Machine Shop";
	AMCL["Nogg"] = "Nogg".." <"..BabbleNPCDesc["Apprentice Engineer"]..">";
	AMCL["Roxxik"] = "Roxxik".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	AMCL["Sovik"] = "Sovik".." <"..BabbleNPCDesc["Engineering Supplies"]..">";
	AMCL["Rilli"] = "Rilli Greasygob";

	AMCL["Shayis"] = "Shayis Steelfury".." <"..BabbleNPCDesc["Armorsmith Trainer"]..">";
	AMCL["Okothos"] = "Okothos Ironrager".." <"..BabbleNPCDesc["Armorsmith"]..">";
	AMCL["Borgosh"] = "Borgosh Corebender".." <"..BabbleNPCDesc["Weaponsmith"]..">";
	AMCL["OxMO"] = "Ox".." <"..BabbleNPCDesc["The Mithril Order"]..">";
	AMCL["Aturk"] = "Aturk the Anvil";
	AMCL["OrokkO"] = "Orokk Omosh";

	AMCL["BurnAnvil"] = "The Burning Anvil";
	AMCL["Saru"] = "Saru Steelfury".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	AMCL["Sumi"] = "Sumi".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	AMCL["Tumi"] = "Tumi".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";

	AMCL["ArmsLegend"] = "Arms of Legend";
	AMCL["Kelgruk"] = "Kelgruk Bloodaxe".." <"..BabbleNPCDesc["Weaponsmithing Trainer"]..">";
	AMCL["Zendo'"] = "Zendo'jian".." <"..BabbleNPCDesc["Weapon Vendor"]..">";
	AMCL["Shoma"] = "Shoma".." <"..BabbleNPCDesc["Weapon Vendor"]..">";
	AMCL["Galthuk"] = "Galthuk".." <"..BabbleNPCDesc["Two-handed Weapon Merchant"]..">";
	AMCL["Sayoc"] = "Sayoc".." <"..BabbleNPCDesc["Weapon Master"]..">";
	AMCL["Hanashi"] = "Hanashi".." <"..BabbleNPCDesc["Weapon Master"]..">";
	AMCL["Koru"] = "Koru".." <"..BabbleNPCDesc["Maces & Staves Vendor"]..">";

	AMCL["RingValor"] = "Ring of Valor";
	AMCL["Molog"] = "War-Hunter Molog".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	AMCL["Greela"] = "Greela 'The Grunt' Crankchain".." <"..BabbleNPCDesc["Arena Organizer"]..">";
	AMCL["Greela&"] = "";

	AMCL["Ogunaro"] = "Ogunaro Wolfrunner".." <"..BabbleNPCDesc["Kennel Master"]..">";
	AMCL["Kildar"] = "Kildar".." <"..BabbleNPCDesc["Wolf Riding Instructor"]..">";
	AMCL["Xon'cha"] = "Xon'cha".." <"..BabbleNPCDesc["Stable Master"]..">";

	AMCL["HuntHall"] = "Hunter's Hall";
	AMCL["Sian'dur"] = "Sian'dur".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Xor'juul"] = "Xor'juul".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Ormak"] = "Ormak Grimshot".." <"..BabbleNPCDesc["Hunter Trainer"]..">";

  --Gren
	AMCL["CleftShad"] = "The Cleft of Shadow";

	AMCL["DarkEncl"] = "Darkfire Enclave";
	AMCL["Mirket"] = "Mirket".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Zevrost"] = "Zevrost".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Grol'dar"] = "Grol'dar".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Gan'rul"] = "Gan'rul Bloodeye";

	AMCL["ShadReag"] = "Shadowdeep Reagents";
	AMCL["Hagrus"] = "Hagrus".." <"..BabbleNPCDesc["Reagent Vendor"]..">";
	AMCL["Cazul"] = "Cazul";

	AMCL["ISW"] = "Ironwood Staves & Wands";
	AMCL["Muragus"] = "Muragus".." <"..BabbleNPCDesc["Staff Merchant"]..">";
	AMCL["Katis"] = "Katis".." <"..BabbleNPCDesc["Wand Merchant"]..">";

	AMCL["Neeru"] = "Neeru Fireblade";

	AMCL["RCI"] = "Ragefire Chasm Instance";

	AMCL["DEFM"] = "Dark Earth Fungus and Mushrooms";
	AMCL["Kor'jus"] = "Kor'jus".." <"..BabbleNPCDesc["Mushroom Vendor"]..">";

	AMCL["Barbershop"] = "Barbershop";
	AMCL["Berbri"] = "Berbri Coifcurl".." <"..BabbleNPCDesc["Barber"]..">";

	AMCL["SlowBlade"] = "The Slow Blade";
	AMCL["Kareth"] = "Kareth".." <"..BabbleNPCDesc["Blade Merchant"]..">";

	AMCL["ShadowBroth"] = "Shadowswift Brotherhood";
	AMCL["Gest"] = "Gest".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Ormok"] = "Ormok".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Shenthul"] = "Shenthul".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Zando'zan"] = "Zando'zan";
	AMCL["Therzok"] = "Therzok";

	AMCL["Rekkul's"] = "Rekkul's Poisons";
	AMCL["Rekkul"] = "Rekkul".." <"..BabbleNPCDesc["Poison Vendor"]..">";
	AMCL["Kor'ghan"] = "Kor'ghan";
  
	AMCL["Drok"] = "Craven Drok (Travels around in the ";
	AMCL["Drok&"] = "                  Cleft of Shadow)";

  --Cyan
	AMCL["ValleyWisdom"] = "The Valley of Wisdom";

	AMCL["STVIF"] = "Stranglethorn Imported Fruits";
	AMCL["Shan'ti"] = "Shan'ti".." <"..BabbleNPCDesc["Fruit Vendor"]..">";

	AMCL["ORedblade"] = "Officer Redblade".." <"..BabbleNPCDesc["Orgrimmar Commendations"]..">";

	AMCL["GromHold"] = "Grommash Hold";
	AMCL["Sian'tsu"] = "Sian'tsu".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	AMCL["Kardris"] = "Kardris Dreamseeker".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	AMCL["Sagorne"] = "Sagorne Creststrider".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	AMCL["Zor"] = "Zor Lonetree".." <"..BabbleNPCDesc["Elder Far Seer"]..">";
	AMCL["Searn"] = "Searn Firewarder";
	AMCL["Eitrigg"] = "Eitrigg";
	AMCL["Vol'jin"] = "Vol'jin";
	AMCL["Mokvar"] = "Mokvar";
	AMCL["Pyreanor"] = "Master Pyreanor".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["Dawnsinger"] = "Ambassador Dawnsinger";
	AMCL["Thrall"] = "Thrall".." <"..BabbleNPCDesc["Warchief"]..">";

	AMCL["Asoran's"] = "Asoran's Market";
	AMCL["Asoran"] = "Asoran".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	AMCL["Magenius"] = "Magenius".." <"..BabbleNPCDesc["Reagents Vendor"]..">";

	AMCL["Vu'Shalay"] = "Officer Vu'Shalay".." <"..BabbleNPCDesc["Darkspear Commendations"]..">";

  --NPC Shattrath
  --White
	AMCL["TerLight"] = "Terrace of Light";

	AMCL["ABank"] = "Bank (Aldor Aligned)";
	AMCL["Endarin"] = "Quartermaster Endarin".." <"..BabbleNPCDesc["Aldor Quartermaster"]..">";
	AMCL["ISaalyn"] = "Inscriber Saalyn".." <"..BabbleNPCDesc["Aldor Inscriptions"]..">";
	AMCL["HaldorC"] = "Haldor the Compulsive".." <"..BabbleNPCDesc["Aldor Apothecary"]..">";

	AMCL["SBank_Scryer"] = "Bank (Scryer Aligned)";
	AMCL["Enuril"] = "Quartermaster Enuril".." <"..BabbleNPCDesc["Scryer Quartermaster"]..">";
	AMCL["IVeredis"] = "Inscriber Veredis".." <"..BabbleNPCDesc["Scryer Inscriptions"]..">";
	AMCL["Xorith"] = "Arcanist Xorith".." <"..BabbleNPCDesc["Scryer Apothecary"]..">";

	AMCL["LeagArat"] = "League of Arathor Emissary (Arathi Basin)";
	AMCL["Defil"] = "Defilers Emissary (Arathi Basin)";

	AMCL["A'dal"] = "A'dal";
	AMCL["Khadgar"] = "Khadgar";
	AMCL["Almonen"] = "Grand Anchorite Almonen";
	AMCL["Tiras'alan"] = "General Tiras'alan";

	AMCL["G'eras"] = "G'eras (Heroic Mode Instance reward vendor ,";
	AMCL["G'eras&"] = "          Upper level)";
	AMCL["Almaador"] = "Almaador".." <"..BabbleNPCDesc["Sha'tari Quartermaster"]..">";
	AMCL["Nasuun"] = "Exarch Nasuun";
	AMCL["Ontuvo"] = "Ontuvo".." <"..BabbleNPCDesc["Jewelcrafting Supplies"]..">";
	AMCL["Ontuvo&"] = "           (Shattered Sun Offensive)";
	AMCL["PorQuel"] = "Portal to Quel'Danas";
	AMCL["Anwehu"] = "Anwehu".." <"..BabbleNPCDesc["Weapons and Armorsmith"]..">";
	AMCL["Anwehu&"] = "           (Heroic Mode Instance reward vendor)";
	AMCL["Mehlisah"] = "Spymistress Mehlisah Highcrown";

	AMCL["Iorioa"] = "Iorioa".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	AMCL["V'eru"] = "V'eru (Upper level)";

	AMCL["WarVet"] = "Haggard War Veteran";
	AMCL["HordeWar"] = "Horde Warbringer";

	AMCL["Mordin"] = "Emissary Mordin".." <"..BabbleNPCDesc["Shattered Sun Offensive"]..">";
	AMCL["Torvos"] = "Lord Torvos".." <"..BabbleNPCDesc["Shattered Sun Offensive"]..">";

	AMCL["Nutral"] = "Nutral".." <"..BabbleNPCDesc["Flight Master"]..">";
	AMCL["Yuula"] = "Yuula".." <"..BabbleNPCDesc["Sha'tari Guard Recruitment Officer"]..">";

	AMCL["Haronem"] = "Harbinger Haronem".." <"..BabbleNPCDesc["Shattered Sun Offensive"]..">";
	AMCL["Wafflefry"] = "Whirligig Wafflefry".." <"..BabbleNPCDesc["Gnomish Inventor"]..">";

	AMCL["LiftScry"] = "Lift to Scryer's Tier";

	AMCL["LiftAR"] = "Lift to Aldor Rise";
  
	AMCL["Ezekiel"] = "Ezekiel (Travels clock-wise around The Terrace";
	AMCL["Ezekiel&"] = "         of Light)";

  --Yell
	AMCL["LowCity"] = "Lower City";

	AMCL["DLarry"] = "'Dirty' Larry".." <"..BabbleNPCDesc["Ruffian"]..">";
	AMCL["EMalone"] = "'Epic' Malone".." <"..BabbleNPCDesc["Ruffian"]..">";
	AMCL["Creepjack"] = "'Creepjack'".." <"..BabbleNPCDesc["Ruffian"]..">";

	AMCL["AldBank"] = "Lower entrance to Aldor Bank";

	AMCL["Araac"] = "Araac";

	AMCL["Karokka"] = "Karokka".." <"..BabbleNPCDesc["Poison Supplies"]..">";
	AMCL["Skreah"] = "Skreah".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	AMCL["Lorokeem"] = "Lorokeem".." <"..BabbleNPCDesc["Master Alchemy Trainer"]..">";
	AMCL["Vekax"] = "Vekax (Travels back and forth across bridge)";

	AMCL["Lissaf"] = "Lissaf".." <"..BabbleNPCDesc["Blade Merchant"]..">";

	AMCL["RampL"] = "Ramp to Terrace of Light";
	AMCL["Rilak"] = "Rilak the Redeemed";
	AMCL["Adyria"] = "Arcanist Adyria".." <"..BabbleNPCDesc["The Scryers"]..">";
	AMCL["DGrashna"] = "Defender Grashna";

	AMCL["Oloraak"] = "Oloraak".." <"..BabbleNPCDesc["Fish Merchant"]..">";

	AMCL["ShattInf"] = "Shattrath Infirmary";
	AMCL["Sha'nir"] = "Sha'nir".." <"..BabbleNPCDesc["The Aldor"]..">";
	AMCL["Seth"] = "Seth";
	AMCL["Zahlia"] = "Zahlia";
	AMCL["Rokk"] = "The Rokk".." <"..BabbleNPCDesc["Master of Cooking"]..">";
	AMCL["Barth"] = "Barthamus";

	AMCL["ExitTF"] = "Exit to Terokkar Forest";

	AMCL["ABG"] = "Alliance Brigadier General (Alliance";
	AMCL["ABG&"] = "          Battlemasters)";
	AMCL["Vinvo"] = "Vinvo Goldgear".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	AMCL["Vinvo&"] = "";
	AMCL["Haelga"] = "Haelga Slatefist".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	AMCL["Lylandor"] = "Lylandor".." <"..BabbleNPCDesc["Warsong Gulch Battlemaster"]..">";
	AMCL["Iravar"] = "Iravar".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	AMCL["AEternum"] = "Adam Eternum".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";

	AMCL["WorldEndT"] = "World's End Tavern";
	AMCL["Lathrai"] = "Wind Trader Lathrai";
	AMCL["Shaarubo"] = "Shaarubo".." <"..BabbleNPCDesc["Bartender"]..">";
	AMCL["Lonika"] = "Lonika Stillblade".." <"..BabbleNPCDesc["Rogue Academy Proprietor"]..">";
	AMCL["Kylene"] = "Kylene".." <"..BabbleNPCDesc["Barmaid"]..">";
	AMCL["Pilton"] = "Haris Pilton".." <"..BabbleNPCDesc["Socialite"]..">";
	AMCL["Zhareem"] = "Wind Trader Zhareem";
	AMCL["Mah'duun"] = "Nether-Stalker Mah'duun";
	AMCL["Zephyr"] = "Zephyr (Reputation Port NPC to CoT)";
	AMCL["salabim"] = "Sal'salabim";
	AMCL["Raliq"] = "Raliq the Drunk";

	AMCL["Kradu"] = "Kradu Grimblade".." <"..BabbleNPCDesc["Weaponsmith Trainer"]..">";
	AMCL["Zula"] = "Zula Slagfury".." <"..BabbleNPCDesc["Armorsmith Trainer"]..">";

	AMCL["Orph"] = "Orphanage";
	AMCL["Bartlett"] = "Nicole Bartlett".." <"..BabbleNPCDesc["Matron"]..">";

	AMCL["HWB"] = "Horde Warbringer (Horde Battlemasters)";
	AMCL["Jojindi"] = "Jojindi".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	AMCL["Montok"] = "Montok Redhands".." <"..BabbleNPCDesc["Warsong Gulch Battlemaster"]..">";
	AMCL["Maka"] = "Wolf-Sister Maka".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	AMCL["Keldor"] = "Keldor the Lost".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	AMCL["Yula"] = "Yula the Fair".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	AMCL["Issca"] = "Issca".." <"..BabbleNPCDesc["Tabard Vendor"]..">";

	AMCL["Seymour"] = "Seymour".." <"..BabbleNPCDesc["Master Skinning Trainer"]..">";
	AMCL["Ernie"] = "Ernie Packwell".." <"..BabbleNPCDesc["Trade Goods"]..">";
	AMCL["Cro"] = "Cro Threadstrong".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	AMCL["Darmari"] = "Darmari".." <"..BabbleNPCDesc["Master Leatherworking Trainer"]..">";
	AMCL["Andrion"] = "Andrion Darkspinner".." <"..BabbleNPCDesc["Shadoweave Specialist"]..">";
	AMCL["Gidge"] = "Gidge Spellweaver".." <"..BabbleNPCDesc["Spellfire Specialist"]..">";
	AMCL["Nasmara"] = "Nasmara Moonsong".." <"..BabbleNPCDesc["Mooncloth Specialist"]..">";
	AMCL["Eiin"] = "Eiin".." <"..BabbleNPCDesc["Specialty Tailoring Supplies"]..">";
	AMCL["Griftah"] = "Griftah".." <"..BabbleNPCDesc["Amazing Amulets"]..">";
	AMCL["Viggz"] = "Viggz Shinesparked".." <"..BabbleNPCDesc["Engineering Supplies"]..">";
	AMCL["Fantei"] = "Fantei".." <"..BabbleNPCDesc["Reagent Vendor"]..">";
	AMCL["Aaron"] = "Aaron Hollman".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	AMCL["MRuby"] = "Madame Ruby".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	AMCL["Eral"] = "Eral".." <"..BabbleNPCDesc["General Goods"]..">";
	AMCL["Moser"] = "Muffin Man Moser".." <"..BabbleNPCDesc["Bread Merchant"]..">";
	AMCL["Nakodu"] = "Nakodu".." <"..BabbleNPCDesc["Lower City Quartermaster"]..">";
	AMCL["JackT"] = "Jack Trapper".." <"..BabbleNPCDesc["Cook"]..">";
	AMCL["Saltit"] = "Jim Saltit".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	AMCL["GSmith"] = "Granny Smith".." <"..BabbleNPCDesc["Fruit Seller"]..">";
	AMCL["BTurner"] = "Brendan Turner".." <"..BabbleNPCDesc["Meat Vendor"]..">";
	AMCL["Grok"] = "Grok";
	AMCL["Oven"] = "Clay Oven";
	AMCL["Tobias"] = "Tobias the Filth Gorger";
	AMCL["Gordie"] = "Gordie";

	AMCL["LowerSB"] = "Lower entrance to Scryer Bank";

	AMCL["Browning"] = "Kevin Browning".." <"..BabbleNPCDesc["Coffee Aficionado"]..">";
	AMCL["Browning&"] = "           (Travels from east exit to south east exit)";

  --Red
	AMCL["Scryer's Tier"] = "Scryer's Tier";

	AMCL["Haelthol"] = "Innkeeper Haelthol";

	AMCL["Ilthuril"] = "Ilthuril".." <"..BabbleNPCDesc["Stable Master"]..">";
	AMCL["Endernor"] = "Trader Endernor".." <"..BabbleNPCDesc["Trade Goods"]..">";
	AMCL["Lisrythe"] = "Lisrythe Bloodwatch".." <"..BabbleNPCDesc["Fence"]..">";
	AMCL["Mahir"] = "Mahir Redstroke".." <"..BabbleNPCDesc["Dagger Vendor"]..">";
	AMCL["Dathris"] = "Dathris Sunstriker";

	AMCL["Kirembri"] = "Kirembri Silvermane".." <"..BabbleNPCDesc["Master Jewelcrafting Trainer"]..">";
	AMCL["Kirembri&"] = "";
	AMCL["Hanlir"] = "Hanlir".." <"..BabbleNPCDesc["Master Mining Trainer"]..">";
	AMCL["Lanloer"] = "Scribe Lanloer".." <"..BabbleNPCDesc["Master Inscription Trainer"]..">";
	AMCL["Andiala"] = "Enchantress Andiala".." <"..BabbleNPCDesc["Master Enchanting Trainer"]..">";

	AMCL["Nalama"] = "Nalama the Merchant".." <"..BabbleNPCDesc["General Goods"]..">";
	AMCL["Urumir"] = "Urumir Stavebright".." <"..BabbleNPCDesc["Staff Vendor"]..">";

	AMCL["Falris"] = "Magister Falris";
	AMCL["Fyalenn"] = "Magistrix Fyalenn (Accepts Tokens in exchange";
	AMCL["Fyalenn&"] = "          for Scryer Reputation)";

	AMCL["SeerLib"] = "The Seer's Library";
	AMCL["Arodis"] = "Arodis Sunblade".." <"..BabbleNPCDesc["Keeper of Sha'tari Artifacts"]..">";
	AMCL["Veynna"] = "Veynna Dawnstar".." <"..BabbleNPCDesc["Keeper of Sha'tari Heirlooms"]..">";
	AMCL["Volali"] = "Enchantress Volali".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	AMCL["Bardolan"] = "High Enchanter Bardolan".." <"..BabbleNPCDesc["Master Enchanting Trainer"]..">";
	AMCL["Bardolan&"] = "";
	AMCL["Voren"] = "Voren'thal the Seer";
	AMCL["Lisrythe"] = "Loremaster Skosiris";
	AMCL["Traini"] = "Training for all professions up to Master level";
	AMCL["Traini&"] = "          (Book stacks)";

	AMCL["Mi'irku"] = "Mi'irku Farstep".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	AMCL["Mi'irku&"] = "           (Up the outside slope)";
	AMCL["Olodam"] = "Olodam Farhollow";

	AMCL["Alamaro"] = "Vinemaster Alamaro".." <"..BabbleNPCDesc["Wine Vendor"]..">";
	AMCL["Amshesha"] = "Amshesha Stilldark".." <"..BabbleNPCDesc["Reagent Vendor"]..">";
	AMCL["Yurial"] = "Yurial Soulwater".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";

	AMCL["Quelama"] = "Quelama Lightblade".." <"..BabbleNPCDesc["Wand Vendor"]..">";
	AMCL["Selanam"] = "Selanam the Blade".." <"..BabbleNPCDesc["Sword Vendor"]..">";

	AMCL["Aelthin"] = "Aelthin".." <"..BabbleNPCDesc["Master Alchemy Trainer"]..">";
	AMCL["Alaenra"] = "Botanist Alaenra".." <"..BabbleNPCDesc["Master Herbalism Trainer"]..">";

	AMCL["Delvinar"] = "Archer Delvinar".." <"..BabbleNPCDesc["Specialty Ammunition"]..">";
	AMCL["Daenril"] = "Daenril".." <"..BabbleNPCDesc["Master Leatherworking Trainer"]..">";
	AMCL["Miralisse"] = "Miralisse".." <"..BabbleNPCDesc["Master Tailoring Trainer"]..">";
	AMCL["Irduil"] = "Irduil".." <"..BabbleNPCDesc["Master Skinning Trainer"]..">";
	AMCL["Barien"] = "Barien".." <"..BabbleNPCDesc["Master Blacksmithing Trainer"]..">";
	AMCL["Sinbei"] = "Engineer Sinbei".." <"..BabbleNPCDesc["Master Engineering Trainer"]..">";

  --Blue
	AMCL["ARise"] = "Aldor Rise";

	AMCL["Minalei"] = "Minalei".." <"..BabbleNPCDesc["Innkeeper"]..">";
	AMCL["Garul"] = "Garul".." <"..BabbleNPCDesc["Food and Drink Vendor"]..">";
	AMCL["Oruhe"] = "Oruhe".." <"..BabbleNPCDesc["Stable Master"]..">";

	AMCL["Nemiha"] = "Nemiha".." <"..BabbleNPCDesc["Master Jewelcrafting Trainer"]..">";
	AMCL["Fono"] = "Fono".." <"..BabbleNPCDesc["Master Mining Trainer"]..">";
	AMCL["Zurii"] = "Zurii".." <"..BabbleNPCDesc["Master Enchanting Trainer"]..">";
	AMCL["Lidio"] = "Recorder Lidio".." <"..BabbleNPCDesc["Master Inscription Trainer"]..">";

	AMCL["Caylee"] = "Caylee Dak";

	AMCL["Erothem"] = "Harbinger Erothem";
	AMCL["Adyen"] = "Adyen the Lightwarden";

	AMCL["Hamanar"] = "Hamanar".." <"..BabbleNPCDesc["Master Jewelcrafting Trainer"]..">";
	AMCL["Inessera"] = "Inessera".." <"..BabbleNPCDesc["Jewelcrafting Supplies"]..">";
	AMCL["Ahemen"] = "Ahemen".." <"..BabbleNPCDesc["Staff Vendor"]..">";

	AMCL["Dremm"] = "Dremm".." <"..BabbleNPCDesc["Master Skinning Trainer"]..">";
	AMCL["Aoa"] = "Weaver Aoa".." <"..BabbleNPCDesc["Master Tailoring Trainer"]..">";
	AMCL["Korim"] = "Korim".." <"..BabbleNPCDesc["Master Leatherworking Trainer"]..">";
	AMCL["Bova"] = "Marksman Bova".." <"..BabbleNPCDesc["Specialty Ammuntion"]..">";
	AMCL["Kanhu"] = "Alchemist Kanhu".." <"..BabbleNPCDesc["Master Alchemy Trainer"]..">";
	AMCL["Jijia"] = "Jijia".." <"..BabbleNPCDesc["Master Herbalism Trainer"]..">";
	AMCL["Onodo"] = "Onodo".." <"..BabbleNPCDesc["Master Blacksmithing Trainer"]..">";
	AMCL["Mihila"] = "Technician Mihila".." <"..BabbleNPCDesc["Master Engineering Trainer"]..">";

	AMCL["UnenLight"] = "Shrine of Unending Light";
	AMCL["Ishanah"] = "Ishanah".." <"..BabbleNPCDesc["High Priestess of the Aldor"]..">";
	AMCL["Kelara"] = "Kelara".." <"..BabbleNPCDesc["Keeper of Sha'tari Heirlooms"]..">";
	AMCL["Asuur"] = "Asuur".." <"..BabbleNPCDesc["Keeper of Sha'tari Artifacts"]..">";

	AMCL["ENagrand"] = "Exit to Nagrand";
    
  --NPC Silvermoon
  --White
	AMCL["Bazaar"] = "The Bazaar";

	AMCL["Wayfar"] = "Wayfarer's Rest";
	AMCL["Jovia"] = " Innkeeper Jovia".." <"..BabbleNPCDesc["Innkeeper"]..">";
	AMCL["Sylann"] = "Sylann".." <"..BabbleNPCDesc["Cook"]..">";
	AMCL["Quelis"] = "Quelis".." <"..BabbleNPCDesc["Cooking Supplies"]..">";

	AMCL["SFinery"] = "Silvermoon Finery";
	AMCL["Zyandrel"] = "Zyandrel".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	AMCL["Andra"] = "Andra".." <"..BabbleNPCDesc["Clothier"]..">";
	AMCL["Rathin"] = "Rathin".." <"..BabbleNPCDesc["Bag Vendor"]..">";

	AMCL["Bithrus"] = "Bithrus".." <"..BabbleNPCDesc["Fireworks Vendor"]..">";

	AMCL["Keelen's"] = "Keelen's Trustworthy Tailoring";
	AMCL["SorimL"] = "Sorim Lightsong".." <"..BabbleNPCDesc["Horde Cloth Quartmaster"]..">";
	AMCL["Keelen"] = "Keelen Sheets".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	AMCL["Deynna"] = "Deynna".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";

	AMCL["Welethelon"] = "Welethelon".." <"..BabbleNPCDesc["Blunt Weapon Merchant"]..">";
	AMCL["Noraelath"] = "Noraelath".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";

	AMCL["BladesbR"] = "Blades by Rahein";
	AMCL["Rahein"] = "Rahein".." <"..BabbleNPCDesc["Blade Vendor"]..">";
	AMCL["Feledis"] = "Feledis".." <"..BabbleNPCDesc["Axe Vendor"]..">";

	AMCL["GeGoods"] = "General Goods";
	AMCL["Sathren"] = "Sathren Azuredawn".." <"..BabbleNPCDesc["General Goods"]..">";
	AMCL["Zalle"] = "Zalle".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

	AMCL["SSPMP"] = "Shields of Silver/Plate and Mail Protection";
	AMCL["Winthren"] = "Winthren".." <"..BabbleNPCDesc["Shield Merchant"]..">";
	AMCL["Tynna"] = "Tynna".." <"..BabbleNPCDesc["Plate Armor Merchant"]..">";
	AMCL["Keeli"] = "Keeli".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";

	AMCL["Parnis"] = "Parnis".." <"..BabbleNPCDesc["Tradesman"]..">";

  --Purp
	AMCL["WElders"] = "Walk of Elders";

	AMCL["Harene"] = "Harene Plainwalker".." <"..BabbleNPCDesc["Druid Trainer"]..">";

	AMCL["Velaani's"] = "Velaani's Arcane Goods";
	AMCL["Velanni"] = "Velanni".." <"..BabbleNPCDesc["Alchemy Supplies & Reagents"]..">";
	AMCL["Zathanna"] = "Zathanna".." <"..BabbleNPCDesc["Wand Vendor"]..">";

	AMCL["CGate"] = "The Shepherd's Gate";

	AMCL["SilRegistry"] = "Silvermoon Registry";
	AMCL["Tandrine"] = "Tandrine".." <"..BabbleNPCDesc["Guild Master"]..">";
	AMCL["Kredis"] = "Kredis".." <"..BabbleNPCDesc["Tabard Vendor"]..">";

	AMCL["Lynalis"] = "Lynalis".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	AMCL["Zaralda"] = "Zaralda".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	AMCL["Tyn"] = "Tyn".." <"..BabbleNPCDesc["Skinning Trainer"]..">";

	AMCL["Drathen"] = "Drathen".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	AMCL["Olirea"] = "Olirea".." <"..BabbleNPCDesc["Fishing Supplies"]..">";
	AMCL["Alestus"] = "Alestus".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

  --Gren
	AMCL["RoyEx"] = "The Royal Exchange";

	AMCL["SCI"] = "Silvermoon City Inn";
	AMCL["Velandra"] = "Innkeeper Velandra".." <"..BabbleNPCDesc["Innkeeper"]..">";
	AMCL["Suntouched"] = "Vinemaster Suntouched".." <"..BabbleNPCDesc["Wine & Spirits Merchant"]..">";
	AMCL["BKAdept"] = "Blood Knight Adept";
	AMCL["Stillb"] = "Blood Knight Stillblade";

	AMCL["Kalinda"] = "Kalinda".." <"..BabbleNPCDesc["Jewelcrafting Trainer"]..">";
	AMCL["Gelanthis"] = "Gelanthis".." <"..BabbleNPCDesc["Jewelcrafting Supplier"]..">";
	AMCL["Amin"] = "Amin".." <"..BabbleNPCDesc["Apprentice Jewelcrafter"]..">";

  --Red
	AMCL["FarSquare"] = "Farstrider Square";

	AMCL["Celana"] = "Celana".." <"..BabbleNPCDesc["Bowyer"]..">";
	AMCL["Matha"] = "Mathaleron".." <"..BabbleNPCDesc["Gunsmith"]..">";

	AMCL["Osselan"] = "Osselan".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["Ithelis"] = "Ithelis".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["CBachi"] = "Champion Bachi".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["Bvalor"] = "Knight-Lord Bloodvalor";
	AMCL["Astalor"] = "Magister Astalor Bloodsworn (Lower Section)";
	AMCL["Solanar"] = "Lord Solanar Bloodwrath (Lower Section)";
	AMCL["Ileda"] = "Ileda".." <"..BabbleNPCDesc["Weapon Master"]..">";

	AMCL["Bipp"] = "Bipp Glizzitor".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	AMCL["Karen"] = "Karen Wentworth".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	AMCL["Alenjon"] = "Alenjon Sunblade".." <"..BabbleNPCDesc["Battlemaster"]..">";
	AMCL["Irissa"] = "Irissa Bloodstar".." <"..BabbleNPCDesc["Battlemaster"]..">";
	AMCL["Caradess"] = "Magistrix Caradess".." <"..BabbleNPCDesc["Wintergrasp Battle-Mage"]..">";
--	AMCL["Gurak"] = "Gurak".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
--	AMCL["Duyash"] = "Duyash the Cruel".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
--	AMCL["Krukk"] = "Krukk".." <"..BabbleNPCDesc["Warsong Gulch Battlemaster"]..">";
--	AMCL["Mabrian"] = "Mabrian Fardawn".." <"..BabbleNPCDesc["Strand of the Ancients"]..">";
--	AMCL["Mabrian&"] = "          Battlemaster";

	AMCL["SLowerSec"] = "Stairs to Lower Section";

	AMCL["Shalenn"] = "Shalenn".." <"..BabbleNPCDesc["Stable Master"]..">";
	AMCL["Tana"] = "Tana".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Oninath"] = "Oninath".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Zandine"] = "Zandine".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Halthenis"] = "Halthenis".." <"..BabbleNPCDesc["Pet Trainer"]..">";

	AMCL["Zelan"] = "Zelan".." <"..BabbleNPCDesc["Mining Supplies"]..">";
	AMCL["Belil"] = "Belil".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	AMCL["Bemarrin"] = "Bemarrin".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	AMCL["Eriden"] = "Eriden".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";

	AMCL["Danwe"] = "Danwe".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	AMCL["Yatheon"] = "Yatheon".." <"..BabbleNPCDesc["Engineering Supplier"]..">";
	AMCL["Gloresse"] = "Gloresse <Apprentice Engineer>";

  --Ltblu
	AMCL["MurRow"] = "Murder Row";

	AMCL["Nerisen"] = "Nerisen".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Elara"] = "Elara".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Zelanis"] = "Zelanis".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Darlia"] = "Darlia".." <"..BabbleNPCDesc["Poison Supplies"]..">";

	AMCL["Talionia"] = "Talionia".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Alamma"] = "Alamma".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Zanien"] = "Zanien".." <"..BabbleNPCDesc["Warlock Trainer"]..">";

  --Orng
	AMCL["CourtSun"] = "Court of the Sun";

	AMCL["Sedana"] = "Sedana".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	AMCL["Lyna"] = "Lyna".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	AMCL["Dolothos"] = "Dolothos <Apprentice Enchanter>";
	AMCL["Zantasia"] = "Zantasia".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	AMCL["Lelorian"] = "Lelorian".." <"..BabbleNPCDesc["Inscription Supplies"]..">";
	AMCL["Camberon"] = "Camberon".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	AMCL["Nathera"] = "Botanist Nathera".." <"..BabbleNPCDesc["Herbalist"]..">";
	AMCL["Melaris"] = "Melaris".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	AMCL["Razia"] = "Razia <Apprentice Alchemist>";


  --Blue
	AMCL["SunSpire"] = "Sunfury Spire";

	AMCL["OrbTrans"] = "Orb of Translocation to Undercity";

	AMCL["Lor'themar"] = "Lor'themar Theron".." <"..BabbleNPCDesc["Regent Lord of Quel'Thalas"]..">";
	AMCL["Brightwing"] = "Halduron Brightwing".." <"..BabbleNPCDesc["Ranger General"]..">";
	AMCL["Rommath"] = "Grand Magister Rommath";

	AMCL["Lotheolan"] = "Lotheolan".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Belestra"] = "Belestra".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Aldrae"] = "Aldrae".." <"..BabbleNPCDesc["Priest Trainer"]..">";

	AMCL["Zaedana"] = "Zaedana".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Quithas"] = "Quithas".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Inethven"] = "Inethven".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Narinth"] = "Narinth".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	AMCL["Elrodan"] = "Elrodan";
	AMCL["Aurosalia"] = "Aurosalia";
  
  --NPC Stormwind
  --Ltblu

	AMCL["Barbershop"] = "Barbershop";

	AMCL["ValHer"] = "Valley of Heroes";

	AMCL["SBank"] = "Stormwind Counting House";
	AMCL["Maloof"] = "Officer Maloof".." <"..BabbleNPCDesc["Stormwind Commendations"]..">";

	AMCL["Jorgen"] = "Jorgen";
	AMCL["Umbrua"] = "Farseer Umbrua".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	AMCL["GMarcus"] = "General Marcus Jonathan";
	AMCL["FMAfras"] = "Field Marshal Afrasiabi";
	AMCL["MMattin"] = "Major Mattingly";
	AMCL["Goodman"] = "Crier Goodman (Travels throughout the city)";

  --White
	AMCL["TDistri"] = "Trade District";

	AMCL["SWVC"] = "Stormwind Visitor Center";
	AMCL["AldwinL"] = "Aldwin Laughlin".." <"..BabbleNPCDesc["Guild Master"]..">";
	AMCL["RebecL"] = "Rebecca Laughlin".." <"..BabbleNPCDesc["Tabard Designer"]..">";

	AMCL["Trias'C"] = "Trias' Cheese";
	AMCL["ElaineT"] = "Elaine Trias".." <"..BabbleNPCDesc["Mistress of Cheese"]..">";
	AMCL["BenT"] = "Ben Trias".." <"..BabbleNPCDesc["Apprentice of Cheese"]..">";
	AMCL["ETrias"] = "Elling Trias".." <"..BabbleNPCDesc["Master of Cheese"]..">";

	AMCL["Pestle's"] = "Pestle's Apothecary";
	AMCL["RenatG"] = "Renato Gallina";
	AMCL["KyraB"] = "Kyra Boucher".." <"..BabbleNPCDesc["Reagent"]..">";
	AMCL["KeldrB"] = "Keldric Boucher".." <"..BabbleNPCDesc["Alchemy Supplies & Reagents"]..">";
	AMCL["MPestl"] = "Morgan Pestle";

	AMCL["EveryM"] = "Everyday Merchandise";
	AMCL["StephanT"] = "Stephanie Turner";
	AMCL["EdnaM"] = "Edna Mullby".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	AMCL["TMull"] = "Thurman Mullby".." <"..BabbleNPCDesc["General Goods Vendor"]..">";

	AMCL["Weller's"] = "Weller's Arsenal";
	AMCL["MardaW"] = "Marda Weller".." <"..BabbleNPCDesc["Weapons Merchant"]..">";
	AMCL["GunthW"] = "Gunther Weller".." <"..BabbleNPCDesc["Weapons Merchant"]..">";
	AMCL["WooPing"] = "Woo Ping".." <"..BabbleNPCDesc["Weapon Master"]..">";

	AMCL["LionArm"] = "Lionheart Armory";
	AMCL["CarlaG"] = "Carla Granger".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	AMCL["LaraM"] = "Lara Moore".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	AMCL["AldrM"] = "Aldric Moore".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	AMCL["HarlB"] = "Harlan Bagley";

	AMCL["TGRI"] = "The Gilded Rose Inn";
	AMCL["InnAl"] = "Innkeeper Allison";

	AMCL["EmpQuiv"] = "The Empty Quiver";
	AMCL["FredeS"] = "Frederick Stover".." <"..BabbleNPCDesc["Bow & Arrow Merchant"]..">";
	AMCL["LinaS"] = "Lina Stover".." <"..BabbleNPCDesc["Arrow Merchant"]..">";

	AMCL["JSharp"] = "Jelinek Sharpshear".." <"..BabbleNPCDesc["Barber"]..">";

	AMCL["DungL"] = "Dungar Longdrink".." <"..BabbleNPCDesc["Gryphon Master"]..">";

	AMCL["FragFlow"] = "Fragrant Flowers";
	AMCL["BGump"] = "Bernard Gump".." <"..BabbleNPCDesc["Florist"]..">";
	AMCL["FGump"] = "Felicia Gump".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	AMCL["CanalTail"] = "Canal Tailor & Fit Shop";
	AMCL["LisbS"] = "Lisbeth Schneider".." <"..BabbleNPCDesc["Clothier"]..">";
	AMCL["RemaS"] = "Rema Schneider";

	AMCL["ArnoL"] = "Arnold Leland".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	AMCL["CatheL"] = "Catherine Leland".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

	AMCL["GallWine"] = "Gallina Winery";
	AMCL["JuliG"] = "Julia Gallina".." <"..BabbleNPCDesc["Wine Vendor"]..">";
	AMCL["RobertP"] = "Roberto Pupellyverbos".." <"..BabbleNPCDesc["Meriot Connoisseur"]..">";
	AMCL["SuzetG"] = "Suzetta Gallina";

  --Orng
	AMCL["MageQuart"] = "The Mage Quarter";

	AMCL["Stock"] = "The Stockade";
	AMCL["WThelw"] = "Warden Thelwater";
	AMCL["Stocks"] = "The Stormwind Stockades Instance";

	AMCL["CStanf"] = "Catarina Stanford".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	AMCL["McCorm"] = "Stanly McCormick".." <"..BabbleNPCDesc["Inscription Supplies"]..">";

	AMCL["Mazen"] = "Mazen Mac'Nadir".." <"..BabbleNPCDesc["Academy of Arcane Arts and Sciences"]..">";
	AMCL["Mazen&"] = "";
	AMCL["AdairG"] = "Adair Gilroy".." <"..BabbleNPCDesc["Librarian"]..">";
	AMCL["ADellis"] = "Acolyte Dellis";

	AMCL["LucanC"] = "Lucan Cordell".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	AMCL["JessaraC"] = "Jessara Cordell".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";

	AMCL["SWStaves"] = "Stormwind Staves";
	AMCL["ArdwynC"] = "Ardwyn Cailen".." <"..BabbleNPCDesc["Wand Merchant"]..">";
	AMCL["AllanH"] = "Allan Hafgan".." <"..BabbleNPCDesc["Staves Merchant"]..">";

	AMCL["Duncan'sT"] = "Duncan's Textiles";
	AMCL["DuncanC"] = "Duncan Cullen".." <"..BabbleNPCDesc["Light Armor Merchant"]..">";
	AMCL["AlexanB"] = "Alexandra Bolero".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	AMCL["GeorgB"] = "Georgio Bolero".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	AMCL["Clavicus"] = "Clavicus Knavingham. Alliance Cloth Quartermaster";
	AMCL["Clavicus&"] = "";

	AMCL["AlcNee"] = "Alchemy Needs";
	AMCL["Tannysa"] = "Tannysa".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	AMCL["Lilyss"] = "Lilyssia Nightbreeze".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	AMCL["MariaL"] = "Maria Lumere".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	AMCL["Eldra"] = "Eldraeith".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	AMCL["CollinM"] = "Collin Mauren";

	AMCL["BlueRec"] = "The Blue Recluse";
	AMCL["Joachim"] = "Joachim Brenlow".." <"..BabbleNPCDesc["Bartender"]..">";
	AMCL["ConnorR"] = "Connor Rivers".." <"..BabbleNPCDesc["Apprentice Chef"]..">";
	AMCL["SLohan"] = "Steven Lohan";
	AMCL["AStern"] = "Angus Stern".." <"..BabbleNPCDesc["Head Chef"]..">";
	AMCL["CFire"] = "Cooking Fire";

	AMCL["AMalin"] = "Archmage Malin";

	AMCL["WizSan"] = "Wizard's Sanctum (Central Tower)";
	AMCL["HAndromath"] = "High Sorcerer Andromath";
	AMCL["JCannon"] = "Jennea Cannon".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Elsharin"] = "Elsharin".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["MDumas"] = "Maginor Dumas".." <"..BabbleNPCDesc["Master Mage"]..">";
	AMCL["LPurdue"] = "Larimaine Purdue".." <"..BabbleNPCDesc["Portal Trainer"]..">";

	AMCL["LarsonClo"] = "Larson Clothiers";
	AMCL["WLarson"] = "Wynne Larson".." <"..BabbleNPCDesc["Robe Merchant"]..">";
	AMCL["ELarson"] = "Evan Larson".." <"..BabbleNPCDesc["Hatter"]..">";

	AMCL["EssenComp"] = "Essential Components";
	AMCL["OVaughn"] = "Owen Vaughn".." <"..BabbleNPCDesc["Reagents"]..">";

	AMCL["AncientCu"] = "Ancient Curios";
	AMCL["Yserian"] = "Charys Yserian".." <"..BabbleNPCDesc["Arcane Trinkets Vendor"]..">";

	AMCL["SlaughtLa"] = "The Slaughtered Lamb";
	AMCL["Jarel"] = "Jarel Moonr".." <"..BabbleNPCDesc["Bartender"]..">";
	AMCL["Jalane"] = "Jalane Ayrole".." <"..BabbleNPCDesc["Master Shadoweave Tailor"]..">";
	AMCL["Zardeth"] = "Zardeth of the Black Claw";
	AMCL["Sandahl"] = "Sandahl".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Gakin"] = "Gakin the Darkbinder";
	AMCL["Cloyce"] = "Demisette Cloyce".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Deline"] = "Ursula Deline".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["Spackle"] = "Spackle Thornberry";

	AMCL["Pyrot"] = "Pyrotechnics";
	AMCL["Singh"] = "Darian Singh".." <"..BabbleNPCDesc["Fireworks Vendor"]..">";

  --Cyan
	AMCL["SWPark"] = "The Park";

	AMCL["Folsom"] = "Caretaker Folsom";

	AMCL["Sylista"] = "Sylista".." <"..BabbleNPCDesc["Stable Master"]..">";

	AMCL["SWInn"] = "Inn";

	AMCL["Shylamiir"] = "Shylamiir".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";

	AMCL["Tavern"] = "Tavern";

	AMCL["ArgosN"] = "Argos Nightwhisper";
	AMCL["Sheldras"] = "Sheldras Moontree".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	AMCL["Theridran"] = "Theridran".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	AMCL["Maldryn"] = "Maldryn".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	AMCL["NaraM"] = "Nara Meideros".." <"..BabbleNPCDesc["Priest Trainer"]..">";

	AMCL["WAP"] = "These three wander around the Park";
	AMCL["Shailiea"] = "Shailiea";
	AMCL["KimberG"] = "Kimberly Grant";
	AMCL["KellyG"] = "Kelly Grant";

  --Red
	AMCL["SWHarbor"] = "The Stormwind Harbor";

	AMCL["Thargold"] = "Thargold Ironwing";
	AMCL["Nayura"] = "Nayura".." <"..BabbleNPCDesc["Dockmaster"]..">";
	AMCL["SAuberd"] = "Ship to Auberdine";
	AMCL["Assurance"] = "The Assurance";
	AMCL["PCarver"] = "Captain Paul Carver";
	AMCL["GCPK"] = "Galley Chief Paul Kubit".." <"..BabbleNPCDesc["Food & Drink Vendor"]..">";
	AMCL["kurtisP"] = "Engineer kurtis Paddock".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	AMCL["LeeshaT"] = "Leesha Tannerby".." <"..BabbleNPCDesc["Dockmaster"]..">";
	AMCL["SVali"] = "Ship to Valiance Keep";
	AMCL["StevenA"] = "Steven Allen";
	AMCL["SWlight"] = "Stormwind lighthouse";

  --Purp
	AMCL["CathSqua"] = "Cathedral Square";

	AMCL["MorrisL"] = "Morris Lawry";

	AMCL["FThread"] = "The Finest Thread";

	AMCL["JMaces"] = "Just Maces";
	AMCL["GArdus"] = "Gregory Ardus".." <"..BabbleNPCDesc["Staff & Mace Merchant"]..">";

	AMCL["RPlates"] = "Righteous Plates";
	AMCL["AgustM"] = "Agustus Moulaine".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	AMCL["TheresM"] = "Theresa Moulaine".." <"..BabbleNPCDesc["Robe Vendor"]..">";

	AMCL["BKrist"] = "Brother Kristoff";

	AMCL["OMNight"] = "Orphan Matron Nightingale";
	AMCL["Shel"] = "Shellene".." <"..BabbleNPCDesc["Orphan Matron"]..">";

	AMCL["CathLig"] = "Cathedral of Light";
	AMCL["BSarno"] = "Brother Sarno";
	AMCL["Rall"] = "Duthorian Rall";
	AMCL["BFarth"] = "Bishop Farthing";
	AMCL["ABBened"] = "Archbishop Benedictus";
	AMCL["Gazin"] = "Gazin Tenorm";
	AMCL["HPLaur"] = "High Priestess Laurena".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["JoshPT"] = "Brother Joshua".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Benj"] = "Brother Benjamin".." <"..BabbleNPCDesc["Priest Trainer"]..">";

	AMCL["Grayson"] = "Lord Grayson Shadowbreaker".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["KathPT"] = "Katherine the Pure".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	AMCL["ArthPT"] = "Arthur the Faithful".." <"..BabbleNPCDesc["Paladin Trainer"]..">";

	AMCL["SFull"] = "Shaina Fuller".." <"..BabbleNPCDesc["First Aid Trainer"]..">";
	AMCL["BCass"] = "Brother Cassius".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

	AMCL["CathLigD"] = "Cathedral of Light (Downstairs)";
	AMCL["BAnton"] = "Brother Anton".." <"..BabbleNPCDesc["Scarlet Crusade Emissary"]..">";

	AMCL["CityHall"] = "City Hall";
	AMCL["BarosA"] = "Baros Alexston".." <"..BabbleNPCDesc["City Architect"]..">";
	AMCL["RFBathr"] = "Royal Factor Bathrilor".." <"..BabbleNPCDesc["Stormwind Census"]..">";

	AMCL["ArgentD"] = "The Argent Dawn";

	AMCL["OEmma"] = "Ol' Emma (Travels to the well in the Trade District";
	AMCL["OEmma&"] = "          and back to her house every fifteen minutes)";

  --Yell
	AMCL["DwarvDist"] = "The Dwarven District";

	AMCL["CTAlley"] = "Cut-Throat Alley";

	AMCL["GelmanS"] = "Gelman Stonehand".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	AMCL["BrookeS"] = "Brooke Stonebraid".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	AMCL["BorgusS"] = "Borgus Steelhand".." <"..BabbleNPCDesc["Weaponsmith Trainer"]..">";
	AMCL["KathA"] = "Kathrum Axehand".." <"..BabbleNPCDesc["Axe Merchant"]..">";
	AMCL["Grimand"] = "Grimand Elmore";

	AMCL["ThulmF"] = "Thulman Flintcrag".." <"..BabbleNPCDesc["Guns Vendor"]..">";

	AMCL["Shoni"] = "Shoni the Shilent";

	AMCL["LilliS"] = "Lilliam Sparkspindle".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	AMCL["BilliC"] = "Billibub Cogspinner".." <"..BabbleNPCDesc["Engineering Supplier"]..">";

	AMCL["EyeStorm"] = "Eye of the Storm Emissary";

	AMCL["TherumD"] = "Therum Deepforge".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	AMCL["KaitaD"] = "Kaita Deepforge".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	AMCL["Hank"] = "Hank the Hammer".." <"..BabbleNPCDesc["Mithril Order"]..">";
	AMCL["Furen"] = "Furen Longbeard";
	AMCL["BenikB"] = "Benik Boltshear".." <"..BabbleNPCDesc["Locksmith"]..">";

	AMCL["Jenova"] = "Jenova Stoneshield".." <"..BabbleNPCDesc["Stable Master"]..">";
	AMCL["Einris"] = "Einris Brightspear".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Ulfir"] = "Ulfir Ironbeard".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Thorfin"] = "Thorfin Stoneshield".." <"..BabbleNPCDesc["Hunter Trainer"]..">";

	AMCL["Morgg"] = "Morgg Stormshot";

	AMCL["Brohann"] = "Brohann Caskbelly".." <"..BabbleNPCDesc["Explorers' League"]..">";
	AMCL["Wilder"] = "Wilder Thistlenettle";

  --Blue
	AMCL["SWKeep"] = "Stormwind Keep";

	AMCL["PetCham"] = "Petitioner's Chamber";
	AMCL["CRRidge"] = "Count Remington Ridgewell".." <"..BabbleNPCDesc["House of Nobles"]..">";
	AMCL["LBWishock"] = "Lord Baurles K. Wishock".." <"..BabbleNPCDesc["House of Nobles"]..">";
	AMCL["Caledra"] = "Caledra Dawnbreeze";

	AMCL["Varian"] = "King Varian Wrynn".." <"..BabbleNPCDesc["King of Stormwind"]..">";
	AMCL["Anduin"] = "Anduin Wrynn".." <"..BabbleNPCDesc["Prince of Stormwind"]..">";
	AMCL["ETaluun"] = "Emissary Taluun";

	AMCL["Delavey"] = "Bishop Delavey";

	AMCL["WarRoom"] = "War Room";
	AMCL["Jes-Ter"] = "Grand Admiral Jes-Tereth";
	AMCL["MithI"] = "Mithras Ironhill";
	AMCL["Beka"] = "Beka Zipwhistle".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	AMCL["ThelmS"] = "Thelman Slatefist".." <"..BabbleNPCDesc["Alterac Valley, Arena Battlemaster"]..">";
	AMCL["Elfarran"] = "Elfarran".." <"..BabbleNPCDesc["Warsong Gultch Battlemaster"]..">";
	AMCL["Jovil"] = "Jovil".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	AMCL["Hotes"] = "Lady Hoteshem".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	AMCL["Bethany"] = "Bethany Aldire".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";

	AMCL["MSamuel"] = "Major Samuelson".." <"..BabbleNPCDesc["Stormwind City Guard"]..">";

	AMCL["Tyrion"] = "Tyrion";
	AMCL["Alicia"] = "Alicia";

	AMCL["RoyLib"] = "Royal Library";
	AMCL["Milton"] = "Milton Sheaf".." <"..BabbleNPCDesc["Librarian"]..">";
	AMCL["Donyal"] = "Donyal Tovald".." <"..BabbleNPCDesc["Librarian"]..">";
	AMCL["GregorL"] = "Lord Gregor Lescovar";

	AMCL["RoyGal"] = "Royal Gallery";

  --Gren
	AMCL["OldTown"] = "Old Town";

	AMCL["HHW"] = "Heavy Handed Weapons";
	AMCL["GKoen"] = "Gerik Koen".." <"..BabbleNPCDesc["Two-Handed Weapon Merchant"]..">";

	AMCL["Pig&W"] = "Pig & Whistle Tavern";
	AMCL["ReeseL"] = "Reese Langston".." <"..BabbleNPCDesc["Tavernkeeper"]..">";
	AMCL["SRyback"] = "Stephen Ryback".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	AMCL["ETate"] = "Erika Tate".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	AMCL["KKabon"] = "Kendor Kabonka".." <"..BabbleNPCDesc["Master of Cooking Recipes"]..">";
	AMCL["Bartleby"] = "Bartleby".." <"..BabbleNPCDesc["Drunk"]..">";
	AMCL["DLangs"] = "David Langston";
	AMCL["Aedis"] = "Aedis Brom";
	AMCL["Faral"] = "Christoph Faral";
	AMCL["HarryB"] = "Harry Burlguard";
	AMCL["EllyLang"] = "Elly Langston".." <"..BabbleNPCDesc["Barmaid"]..">";

	AMCL["FDV"] = "The Five Deadly Venoms";
	AMCL["Lenney"] = "Lenney 'Fingers' McCoy (outside)";
	AMCL["Beasley"] = "Ol'Beasley (outside)";
	AMCL["Dashel"] = "Dashel Stonefist (outside)";
	AMCL["MilesS"] = "Miles Sidney".." <"..BabbleNPCDesc["Poison Supplies"]..">";
	AMCL["Wright"] = "Wright Williams";

	AMCL["HonestB"] = "Honest Blades";
	AMCL["Heinrich"] = "Heinrich Stone".." <"..BabbleNPCDesc["Blade Merchant"]..">";

	AMCL["Immuni"] = "Limited Immunity";
	AMCL["OStrang"] = "Osric Strang".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";
	AMCL["WStrang"] = "Wilhelm Strang".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";

	AMCL["Osborne"] = "Osborne the Night Man".." <"..BabbleNPCDesc["Rogue Trainer"]..">";

	AMCL["CHall"] = "Champion's Hall";
	AMCL["O'Neal"] = "Captain O'Neal".." <"..BabbleNPCDesc["Jewelcrafting Quartermaster"]..">";
	AMCL["Jacksp"] = "Lieutenant Jackspring".." <"..BabbleNPCDesc["Weapons Quartermaster"]..">";
	AMCL["Biggin"] = "Master Sergeant Biggins".." <"..BabbleNPCDesc["Officer Accessories Quartermaster"]..">";
	AMCL["Biggin&"] = "";
	AMCL["Karter"] = "Lieutenant Karter".." <"..BabbleNPCDesc["Mount Vendor"]..">";
	AMCL["Tristia"] = "Lieutenant Tristia".." <"..BabbleNPCDesc["Veteran Armor Quartermaster"]..">";
	AMCL["Skyshad"] = "Sergeant Major Skyshadow";
	AMCL["Ennarth"] = "Harbinger Ennarth";
	AMCL["Gaiman"] = "Archmage Gaiman";
	AMCL["Vaccar"] = "Lieutenant Rachel Vaccar";
	AMCL["Dirgeh"] = "Captain Dirgehammer".." <"..BabbleNPCDesc["Apprentice Armor Quartermaster"]..">";
	AMCL["Dirgeh&"] = "";
	AMCL["Moonst"] = "Knight-Lieutenant Moonstrike".." <"..BabbleNPCDesc["Armor Quartermaster"]..">";
	AMCL["Moonst&"] = "";
	AMCL["Clate"] = "Sergeant Major Clate".." <"..BabbleNPCDesc["Armor Quartermaster"]..">";

	AMCL["ComCent"] = "Command Center";
	AMCL["Wood"] = "Master Wood";
	AMCL["IlsaC"] = "Ilsa Corbin".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["WuShen"] = "Wu Shen".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["AnderG"] = "Ander Germaine".." <"..BabbleNPCDesc["Warrior Trainer"]..">";

	AMCL["SI:7"] = "SI:7";
	AMCL["Mathias"] = "Master Mathias Shaw".." <"..BabbleNPCDesc["Leader of SI:7"]..">";
	AMCL["Renzik"] = "Renzik 'The Shiv'".." <"..BabbleNPCDesc["SI:7 Operative"]..">";
	AMCL["Sloan"] = "Sloan McCoy".." <"..BabbleNPCDesc["Poison Supplies"]..">";
	AMCL["Fel"] = "Jasper Fel".." <"..BabbleNPCDesc["Shady Dealer"]..">";
	AMCL["Romano"] = "Lord Tony Romano".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["Mixil"] = "Doc Mixilpixil (downstairs)";

	AMCL["ProHide"] = "The Protective Hide";
	AMCL["STanner"] = "Simon Tanner".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	AMCL["JTanner"] = "Jillian Tanner".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	AMCL["Granger"] = "Maris Granger".." <"..BabbleNPCDesc["Skinning Trainer"]..">";
	AMCL["AlyssaG"] = "Alyssa Griffith".." <"..BabbleNPCDesc["Bag Vendor"]..">";
	AMCL["SeomanG"] = "Seoman Griffith".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	AMCL["Noah"] = "Little Noah";

	AMCL["ThanBoo"] = "Thane's Boots";
	AMCL["Mayda"] = "Mayda Thane".." <"..BabbleNPCDesc["Cobbler"]..">";

	AMCL["SilverSh"] = "The Silver Shield";
	AMCL["BCross"] = "Bryan Cross".." <"..BabbleNPCDesc["Shield Merchant"]..">";

	AMCL["JennL"] = "Jenn Langston (Does a circuit around Old Town)";
	AMCL["Nikova"] = "Nikova Raskol (Does a circuit around Old Town";
	AMCL["Nikova&"] = "          stopping at three places for a few";
	AMCL["Nikova&1"] = "          minutes each stop)";
  
  --NPC Thunder Bluff
  --White
	AMCL["LLevel"] = "The Lower Rise";

	AMCL["Pala"] = "Innkeeper Pala";
	AMCL["Bulrug"] = "Bulrug".." <"..BabbleNPCDesc["Stable Master"]..">";
	AMCL["AtHR"] = "Access to The Hunter Rise";

	AMCL["ElevM"] = "Elevator to Mulgore";

	AMCL["TBCI"] = "Thunder Bluff Civic Information";
	AMCL["Thrumn"] = "Thrumn".." <"..BabbleNPCDesc["Tabard Vendor"]..">";
	AMCL["Krumn"] = "Krumn".." <"..BabbleNPCDesc["Guild Master"]..">";
	AMCL["Scorch"] = "Scorching Fire";

	AMCL["Kuruk's"] = "Kuruk's Goods";
	AMCL["Kuruk"] = "Kuruk".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	AMCL["Pakwa"] = "Pakwa".." <"..BabbleNPCDesc["Bag Vendor"]..">";

	AMCL["TGASu"] = "Trade Goods and Supplies";
	AMCL["ShadiM"] = "Shadi Mistrunner".." <"..BabbleNPCDesc["Trade Goods Supplies"]..">";

	AMCL["Jyn"] = "Jyn Stonehoof".." <"..BabbleNPCDesc["Weapons Merchant"]..">";
	AMCL["Ansek"] = "Ansekhwa".." <"..BabbleNPCDesc["Weapon Master"]..">";

	AMCL["Hewa's"] = "Hewa's Armory";
	AMCL["Hewa"] = "Hewa".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	AMCL["Elki"] = "Elki".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	AMCL["Ahanu"] = "Ahanu".." <"..BabbleNPCDesc["Armor Merchant"]..">";

	AMCL["Tal"] = "Tal".." <"..BabbleNPCDesc["Wind Rider Master"]..">";
	AMCL["ALLMLUL"] = "Access to The Lower Rise, The Middle Rise and";
	AMCL["ALLMLUL&"] = "          The Upper Rise";

	AMCL["derstr"] = "Officer Thunderstrider".." <"..BabbleNPCDesc["Thunder Bluff Commendations"]..">";
	AMCL["derstr&"] = "";

	AMCL["BandG"] = "Breads and Grains";
	AMCL["Fry"] = "Fry Mistrunner".." <"..BabbleNPCDesc["Bread Vendor"]..">";

	AMCL["Karn's"] = "Karn's Smithy";
	AMCL["Karn"] = "Karn Stonehoof".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	AMCL["Taur"] = "Taur Stonehoof".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	AMCL["Orm"] = "Orm Stonehoof";

	AMCL["Truths"] = "Sage Truthseeker";
	AMCL["AtSR"] = "Access to The Spirit Rise";

	AMCL["Geology"] = "Stonehoof Geology";
	AMCL["Brek"] = "Brek Stonehoof".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	AMCL["KurmS"] = "Kurm Stonehoof".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	AMCL["Eyahn"] = "Eyahn Eagletalon";
	AMCL["Auld"] = "Auld Stonespire";

	AMCL["Chepi"] = "Chepi".." <"..BabbleNPCDesc["Reagent Vendor"]..">";
	AMCL["Chepi&"] = "           (Does a circle around the Lower Rise)";
	AMCL["Windst"] = "Bluff Runner Windstrider (Travels between the";
	AMCL["Windst&"] = "          Lower Rise and the Upper Rise)";

  --Purp
	AMCL["MLevel"] = "The Middle Rise";

	AMCL["Thund"] = "Thunderhorn's Archery";
	AMCL["Kuna"] = "Kuna Thunderhorn".." <"..BabbleNPCDesc["Bowyer & Fletching Goods"]..">";

	AMCL["FaV"] = "Fruits and Vegetables";
	AMCL["Nan"] = "Nan Mistrunner".." <"..BabbleNPCDesc["Fruit Vendor"]..">";

	AMCL["Holis"] = "Holistic Herbalism";
	AMCL["Komin"] = "Komin Winterhoof".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	AMCL["Nida"] = "Nida Winterhoof".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	AMCL["AtER"] = "Access to The Elder Rise";

	AMCL["CloudB"] = "Cloudeweavers Baskets";
	AMCL["Tand"] = "Tand".." <"..BabbleNPCDesc["Basket Weaver"]..">";

	AMCL["Bena's"] = "Bena's Alcehcmy";
	AMCL["Bena"] = "Bena Winterhoof".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	AMCL["Mani"] = "Mani Winterhoof".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";

	AMCL["TBEnchanters"] = "Dawnstrider Enchanters";
	AMCL["Teg"] = "Teg Dawnstrider".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	AMCL["Nata"] = "Nata Dawnstrider".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";

	AMCL["TBArmorers"] = "Thunder Bluff Armorers";
	AMCL["Mooranta"] = "Mooranta".." <"..BabbleNPCDesc["Skinning Trainer"]..">";
	AMCL["Veren"] = "Veren Tallstrider";
	AMCL["Tepa"] = "Tepa".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	AMCL["Mahu"] = "Mahu".." <"..BabbleNPCDesc["Leatherworking & Tailoring Supplies"]..">";
	AMCL["Tagain"] = "Tagain".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	AMCL["Fela"] = "Fela".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";
	AMCL["Grod"] = "Grod".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	AMCL["Una"] = "Una".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	AMCL["Rumstag"] = "Rumstag Proudstrider".." <"..BabbleNPCDesc["Horde Cloth Quartermaster"]..">";
	AMCL["Rumstag&"] = "";

  --Yell
	AMCL["ULevel"] = "The Upper Rise";

	AMCL["Rainsticks"] = "Rainsticks";
	AMCL["Sunn"] = "Sunn Ragetotem".." <"..BabbleNPCDesc["Staff Merchant"]..">";

	AMCL["KS&R"] = "Kodo Steak & Ribs";
	AMCL["Kaga"] = "Kaga Mistrunner".." <"..BabbleNPCDesc["Meat Vendor"]..">";

	AMCL["WinterT"] = "Winterhoof Totems";
	AMCL["Tah"] = "Tah Winterhoof";

	AMCL["MTB&T"] = "Mountaintop Bait & Tackle";
	AMCL["Kah"] = "Kah Mistrunner".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	AMCL["Sewa"] = "Sewa Mistrunner".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

	AMCL["CairneB"] = "Cairne Bloodhoof".." <"..BabbleNPCDesc["High Chieftain"]..">";

	AMCL["Halpa"] = "Halpa".." <"..BabbleNPCDesc["Prairie Dog Vendor"]..">";

	AMCL["TBFirea"] = "Thunderbluff Firearms";
	AMCL["Hogor"] = "Hogor Thunderhoof".." <"..BabbleNPCDesc["Guns Merchant"]..">";

	AMCL["Raget"] = "Ragetotem Arms";
	AMCL["Delgo"] = "Delgo Ragetotem".." <"..BabbleNPCDesc["Axe Merchant"]..">";
	AMCL["Etu"] = "Etu Ragetotem".." <"..BabbleNPCDesc["Mace & Staff Merchant"]..">";
	AMCL["Ohanko"] = "Ohanko".." <"..BabbleNPCDesc["Two Handed Weapon Merchant"]..">";
	AMCL["Kard"] = "Kard Ragetotem".." <"..BabbleNPCDesc["Sword & Dagger Merchant"]..">";

	AMCL["Sura"] = "Sura Wildmane".." <"..BabbleNPCDesc["War Harness Vendor"]..">";

	AMCL["Aska's"] = "Aska's Kitchen";
	AMCL["Aska"] = "Aska Mistrunner".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	AMCL["Naal"] = "Naal Mistrunner".." <"..BabbleNPCDesc["Cooking Supplies"]..">";

	AMCL["Zangen"] = "Zangen Stonehoof";

  --Blue
	AMCL["HuntR"] = "The Hunter Rise";

	AMCL["HHall"] = "Hunter's Hall";
	AMCL["Urek"] = "Urek Thunderhorn".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Kary"] = "Kary Thunderhorn".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Holt"] = "Holt Thunderhorn".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	AMCL["Sark"] = "Sark Ragetotem".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Torm"] = "Torm Ragetotem".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["Ker"] = "Ker Ragetotem".." <"..BabbleNPCDesc["Warrior Trainer"]..">";

	AMCL["Saern"] = "Saern Priderunner";
	AMCL["Melor"] = "Melor Stonehoof";

	AMCL["Althal"] = "Althallen Brightblade".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	AMCL["Martin"] = "Martin Lindsey".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	AMCL["Fizim"] = "Fizim Blastwrench".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	AMCL["Kergul"] = "Kergul Bloodaxe".." <"..BabbleNPCDesc["Warsong Gultch Battlemaster"]..">";
	AMCL["Ufuda"] = "Godo Cloudchewer".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	AMCL["Ufuda&"] = "";
	AMCL["Taim"] = "Taim Ragetotem".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";

	AMCL["Mosarn"] = "Mosarn";

	AMCL["Hesuwa"] = "Hesuwa Thunderhorn".." <"..BabbleNPCDesc["Pet Trainer"]..">";

  --Gren
	AMCL["ERise"] = "The Elder Rise";

	AMCL["HElders"] = "Hall of Elders";
	AMCL["Kym"] = "Kym Wildmane".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	AMCL["Turak"] = "Turak Runetotem".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	AMCL["Sheal"] = "Sheal Runetotem".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	AMCL["Nara"] = "Nara Wildmane";
	AMCL["ADHamuul"] = "Arch Druid Hamuul Runetotem";

	AMCL["Bashana"] = "Bashana Runetotem";

	AMCL["Rahuro"] = "Rahuro".." <"..BabbleNPCDesc["Magatha's Servant"]..">";
	AMCL["Magatha"] = "Magatha Grimtotem".." <"..BabbleNPCDesc["Elder Crone"]..">";
	AMCL["Cor"] = "Cor Grimtotem";
	AMCL["Gorm"] = "Gorm Grimtotem";

	AMCL["ERDrums"] = "Elder Rise Drums";
	AMCL["Sheza"] = "Sheza Wildmane";

	AMCL["Ghede"] = "Ghede";

  --Orng
	AMCL["SRise"] = "The Spirit Rise";

	AMCL["HallofS"] = "Hall of Spirits";
	AMCL["Beram"] = "Beram Skychaser".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	AMCL["Siln"] = "Siln Skychaser".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	AMCL["Tigor"] = "Tigor Skychaser".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	AMCL["Xanis"] = "Xanis Flameweaver";

	AMCL["SHealing"] = "Spiritual Healing";
	AMCL["Pand"] = "Pand Stonebinder".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

	AMCL["Pawe"] = "Pawe Mistrunner";

	AMCL["PVision"] = "Pools of Vision";
	AMCL["Clarice"] = "Clarice Foster";
	AMCL["Poshken"] = "Poshken Hardbinder".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	AMCL["Mertle"] = "Mertle Murkpen".." <"..BabbleNPCDesc["Inscription Supplies"]..">";
	AMCL["Malakai"] = "Malakai Cross".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Zamah"] = "Apothecary Zamah".." <"..BabbleNPCDesc["Royal Apothecary Society"]..">";
	AMCL["Cranst"] = "Birgitte Cranston".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	AMCL["Shymm"] = "Archmage Shymm".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["Welsh"] = "Miles Welsh".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Ursyn"] = "Ursyn Ghull".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["FCobb"] = "Father Cobb".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["Xane"] = "Thurston Xane".." <"..BabbleNPCDesc["Mage Trainer"]..">";
  
  --NPC Undercity
  --White
	AMCL["TraQuart"] = "The Trade Quarter";

	AMCL["Aucti"] = " Auctioneer (Just outside of the Trade Quarter";
	AMCL["Aucti&"] = "           in the Canals)";

	AMCL["ERusk"] = "Eleanor Rusk".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	AMCL["GenGoods"] = " General Goods";

	AMCL["FDoan"] = "Felicia Doan".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	AMCL["GCallow"] = "Genavie Callow";

	AMCL["BHandler"] = "Bat Handler";
	AMCL["MGarrett"] = "Michael Garrett".." <"..BabbleNPCDesc["Bat Handler"]..">";
	AMCL["PGarrett"] = "Patrick Garrett";

	AMCL["OGothena"] = "Officer Gothena".." <"..BabbleNPCDesc["Undercity Commendations"]..">";

	AMCL["UWeapons"] = "Weapons";
	AMCL["GWendham"] = "Gordon Wendham".." <"..BabbleNPCDesc["Weapons Merchant"]..">";
	AMCL["LWarren"] = "Louis Warren".." <"..BabbleNPCDesc["Weapons Merchant"]..">";

	AMCL["UHArmor"] = "Heavy Armor";
	AMCL["TWeldon"] = "Timothy Weldon".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";
	AMCL["WElling"] = "Walter Ellingson".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";

	AMCL["ULArmor"] = "Light Armor";
	AMCL["LNewcomb"] = "Lauren Newcomb".." <"..BabbleNPCDesc["Light Armor Merchant"]..">";
	AMCL["DBartlett"] = "Daniel Bartlett".." <"..BabbleNPCDesc["Trade Supplies"]..">";

	AMCL["AMaulray"] = "Anya Maulray".." <"..BabbleNPCDesc["Stable Master"]..">";
	AMCL["INorman"] = "Innkeeper Norman";

	AMCL["MReagents"] = "Mordan's Reagents";
	AMCL["Mordan"] = "Mordan".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

	AMCL["NaznikS"] = "Naznik Sureshave".." <"..BabbleNPCDesc["Barber"]..">";
	AMCL["ECairn"] = "Edward Cairn".." <"..BabbleNPCDesc["Elder"]..">";

	AMCL["GuildCT"] = "Guild Creation/Tabards";
	AMCL["ROBauhaus"] = "Royal Overseer Bauhaus".." <"..BabbleNPCDesc["Undercity  Census"]..">";
	AMCL["EReming"] = "Edward Remington".." <"..BabbleNPCDesc["Guild Tabard Designer"]..">";
	AMCL["CDrakul"] = "Christopher Drakul".." <"..BabbleNPCDesc["Guild Master"]..">";
	AMCL["MPleas"] = "Merill Pleasance".." <"..BabbleNPCDesc["Tabard Vendor"]..">";

	AMCL["UCook"] = "Cooking";
	AMCL["EBurch"] = "Eunice Burch".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	AMCL["RBurch"] = "Ronald Burch".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	AMCL["RAndrean"] = "Raleigh Andrean".." <"..BabbleNPCDesc["Ex-Chef"]..">";

	AMCL["TawnyG"] = "Tawny Grisette".." <"..BabbleNPCDesc["Mushroom Vendor"]..">";
	AMCL["TawnyG&"] = "           (Does acircle on the upper area of ";
	AMCL["TawnyG&1"] = "          the Trade Quarter)";

	AMCL["JPayson"] = "Jeremiah Payson".." <"..BabbleNPCDesc["Cockroach Vendor"]..">";

	AMCL["Balth"] = "Harbinger Balthazad (Does a circuit in the";
	AMCL["Balth&"] = "          Trade Quarter and in the Canals just";
	AMCL["Balth&1"] = "          outside the Trade Quarter)";

  --Purp
	AMCL["Apothe"] = "The Apothecarium";

	AMCL["dugur"] = "Keeper Bel'dugur";

	AMCL["UHerba"] = "Herbalist";
	AMCL["MAllie"] = "Martha Alliestar".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	AMCL["KAllie"] = "Katrina Alliestar".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	AMCL["ALuca"] = "Alessandro Luca".." <"..BabbleNPCDesc["Blue Moon Odds and Ends"]..">";

	AMCL["UEnchant"] = "Enchantment";
	AMCL["LCrowe"] = "Lavinia Crowe".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	AMCL["TWebb"] = "Thaddeus Webb".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";

	AMCL["Parq"] = "Parqual Fintallas";

	AMCL["AGant"] = "Andron Gant";

	AMCL["Alchemist"] = "Alchemist";
	AMCL["Algernon"] = "Algernon".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	AMCL["DMarsh"] = "Doctor Marsh".." <"..BabbleNPCDesc["Apprentice Alchemist"]..">";

	AMCL["DMFelben"] = "Doctor Martin Felben".." <"..BabbleNPCDesc["Apprentice Alchemist"]..">";
	AMCL["MAFaranell"] = "Master Apothecary Faranell".." <"..BabbleNPCDesc["Royal Apothecary Society"]..">";
	AMCL["MAFaranell&"] = "";
	AMCL["DHHalsey"] = "Doctor Herbert Halsey".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	AMCL["Fuely"] = "Chemist Fuely";
	AMCL["Cuely"] = "Chemist Cuely";
	AMCL["TheodG"] = "Theodore Griffs";
	AMCL["Zinge"] = "Apothecary Zinge";
	AMCL["AKeev"] = "Apothecary Keever".." <"..BabbleNPCDesc["Royal Apothecary Society"]..">";

  --Blue
	AMCL["WarQuart"] = "The War Quarter";

	AMCL["GerardA"] = "Gerard Abernathy";
	AMCL["LeonaT"] = "Leona Tharpe";
	AMCL["JoannW"] = "Joanna Whitehall";

	AMCL["UBowM"] = "Bow Merchant";
	AMCL["AbigS"] = "Abigail Sawyer".." <"..BabbleNPCDesc["Bow Merchant"]..">";

	AMCL["UMining"] = "Mining";
	AMCL["BromK"] = "Brom Killian".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	AMCL["SarahK"] = "Sarah Killan".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	AMCL["UWeapM"] = "Weapons Merchants";
	AMCL["Abald"] = "Archibald".." <"..BabbleNPCDesc["Weapon Master"]..">";
	AMCL["GeoffH"] = "Geoffrey Hartwell".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	AMCL["BeniF"] = "Benijah Fenner".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	AMCL["FranE"] = "Francis Eliot".." <"..BabbleNPCDesc["Weapon Merchant"]..">";

	AMCL["UBlacks"] = "Blacksmith";
	AMCL["JVBrunt"] = "James Van Brunt".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	AMCL["SVBrunt"] = "Samuel Van Brunt".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	AMCL["MTrem"] = "Mirelle Tremayne".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";

	AMCL["UGunsm"] = "Gunsmith";
	AMCL["NAtwood"] = "Nicholas Atwood".." <"..BabbleNPCDesc["Gun Merchant"]..">";

	AMCL["HAtwood"] = "Helena Atwood";

	AMCL["SHouser"] = "Sergeant Houser";
	AMCL["SRutger"] = "Sergeant Rutger";

	AMCL["FLanke"] = "Father Lankester".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["FLaza"] = "Father Lazarus".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["UAelth"] = "Aelthalyste".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	AMCL["BFowl"] = "Baltus Fowler".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["ACurt"] = "Angela Curthas".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	AMCL["ChristW"] = "Christopher Walker".." <"..BabbleNPCDesc["Warrior Trainer"]..">";

  --Gren
	AMCL["MagQuart"] = "The Magic Quarter";

	AMCL["UStaff"] = "Staff Merchant";
	AMCL["SUpton"] = "Sydney Upton".." <"..BabbleNPCDesc["Staff Merchant"]..">";
	AMCL["ZaneB"] = "Zane Bradford".." <"..BabbleNPCDesc["Wand Vendor"]..">";

	AMCL["UTailor"] = "Tailor";
	AMCL["RalsF"] = "Ralston Farnsley".." <"..BabbleNPCDesc["Horde Cloth Quartermaster"]..">"; 
	AMCL["SVCroy"] = "Sheldon Von Croy".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	AMCL["Josef"] = "Josef Gregorian".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	AMCL["Millie"] = "Millie Gregorian".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	AMCL["LuciC"] = "Lucille Castleton".." <"..BabbleNPCDesc["Robe Vendor"]..">";

	AMCL["OranS"] = "Oran Snakewrithe";
	AMCL["SamaS"] = "Samatha Shackleton";
	AMCL["AndrB"] = "Andrew Brownell";

	AMCL["UCarto"] = "Cartography";
	AMCL["JorahA"] = "Jorah Annison";

	AMCL["UBook"] = "Book Dealer";
	AMCL["SalazB"] = "Salazar Bloch".." <"..BabbleNPCDesc["Book Dealer"]..">";

	AMCL["UReag"] = "Reagent Vendor";
	AMCL["HannA"] = "Hannah Akeley".." <"..BabbleNPCDesc["Reagent Supplies"]..">";

	AMCL["URelic"] = "Relic Vendor";
	AMCL["SilasZ"] = "Silas Zimmer";

	AMCL["JList"] = "Josephine Lister".." <"..BabbleNPCDesc["Master Shadoweave Tailor"]..">";

	AMCL["CHalg"] = "Carendin Halgar";

	AMCL["UpLevel"] = "Upper Level";
	AMCL["LMort"] = "Lexington Mortaim".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	AMCL["BIces"] = "Bethor Iceshard";

	AMCL["RKerw"] = "Richard Kerwin".." <"..BabbleNPCDesc["Warlock Trainer"]..">";

	AMCL["AHart"] = "Anastasia Hartwell".." <"..BabbleNPCDesc["Mage Trainer"]..">";

	AMCL["LoLevel"] = "Lower Level";
	AMCL["LPick"] = "Luther Pickman".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["KaalS"] = "Kaal Soulreaper".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	AMCL["KaelyH"] = "Kaelystia Hatebringer".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["PiercS"] = "Pierce Shackleton".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	AMCL["MartS"] = "Martha Strain";
	AMCL["GodrF"] = "Godrick Farsan";

	AMCL["ArmaC"] = "Armand Cromwell".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	AMCL["LizbC"] = "Lizbeth Cromwell".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

  --Orng
	AMCL["RogQuart"] = "The Rogues' Quarter";

	AMCL["UDag"] = "Daggers";
	AMCL["CSeat"] = "Charles Seaton".." <"..BabbleNPCDesc["Blade Merchant"]..">";
	AMCL["NStee"] = "Nathaniel Steenwick".." <"..BabbleNPCDesc["Thrown Weapon Merchant"]..">";

	AMCL["UPois"] = "Poison";
	AMCL["EGrav"] = "Ezekiel Graves".." <"..BabbleNPCDesc["Poison Vendor"]..">";

	AMCL["MEdra"] = "Mary Edras".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

	AMCL["ULeat"] = "Leather Work";
	AMCL["ArthM"] = "Arthur Moore".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	AMCL["JoseM"] = "Joseph Moore".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	AMCL["GillM"] = "Gillian Moore".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	AMCL["KillH"] = "Killian Hagey".." <"..BabbleNPCDesc["Skinning Trainer"]..">";

	AMCL["UBag"] = "Bag Vendor";
	AMCL["JonaC"] = "Jonathan Chambers".." <"..BabbleNPCDesc["Bag Vendor"]..">";

	AMCL["UEngin"] = "Engineering";
	AMCL["FrankL"] = "Franklin Lloyd".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	AMCL["ElizVT"] = "Elizabeth Van Talen".." <"..BabbleNPCDesc["Engineering Supplies"]..">";
	AMCL["GrahVT"] = "Graham Van Talen".." <"..BabbleNPCDesc["Apprentice Engineer"]..">";
	AMCL["LucF"] = "Lucian Fenner";

	AMCL["EsteG"] = "Estelle Gendry";

	AMCL["CaroW"] = "Carolyn Ward".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["MileD"] = "Miles Dexter".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["GregC"] = "Gregory Charles".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	AMCL["MennC"] = "Mennet Carkard";

	AMCL["WaltS"] = "Walter Soref".." <"..BabbleNPCDesc["Locksmith"]..">";

  --Red
	AMCL["RoyalQua"] = "The Royal Quarter";

	AMCL["LadWindr"] = "Lady Sylvanas Windrunner".." <"..BabbleNPCDesc["Banshee Queen"]..">";
	AMCL["Sharl"] = "Sharlindra";
	AMCL["Varima"] = "Varimathras";
	AMCL["ASunsor"] = "Ambassador Sunsorrow";
	AMCL["CyssaD"] = "Champion Cyssa Dawnrose".." <"..BabbleNPCDesc["Paladin Trainer"]..">";

	AMCL["GrizHalf"] = "Grizzle Halfmane".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";

	AMCL["RexPix"] = "Rex Pixem".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	AMCL["SirMalo"] = "Sir Malory Wheeler".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";

	AMCL["Lyrlia"] = "Lyrlia Blackshield".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";

	AMCL["KurdB"] = "Kurden Bloodcalw".." <"..BabbleNPCDesc["Warsong Gultch Battlemaster"]..">";
	AMCL["SForth"] = "Sara Forthright".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	AMCL["SForth&"] = "";
end  
